﻿using MicroCloud.AspNetCore.Mvc;
using MicroCloud.Authorization;

namespace Vinno.WMS.Apis.Controllers
{
    /// <summary>
    /// wms模块Api控制器基类
    /// </summary>
    [LoggedIn]
    [DisplayInfo("wms模块", "WmsBlock")]
    [ApiExplorer(GroupName = "wms", Title = "wms模块API", Description = "wms模块接口")]
    public class WmsController : WmsControllerBase
    {
        protected IDictService DictService => ServiceProvider.GetService<IDictService>();

        /// <summary>
        /// 字典编码获取字典信息
        /// </summary>
        /// <returns></returns>
        [HttpPost]
        [Description("字典编码获取字典信息")]
        public AjaxResult GetDicts(string code)
        {
            var dictEntrys = DictService.DictEntrys
                .Where(a => a.Dict.Code == code)
                .Select(a => new
                {
                    a.CodeName,
                    a.CodeValue
                }).ToList();

            return AjaxResult.Success(dictEntrys);
        }


    }
}
