﻿namespace Vinno.WMS.Pack.Core.Dtos
{
    [MapTo(typeof(IPN))]
    public class IPNInputDto : IInputDto<Guid>
    {
        public Guid Id { get; set; }

        public Guid MaterialCategoryId { get; set; }

        public Status Status { get; set; }

        public string IpnNo { get; set; }

        public string Name { get; set; }

        public int Unit { get; set; }

        public string Description { get; set; }

        public string Manufacturer { get; set; }

        public string StockAttributes { get; set; }

        public int Project { get; set; }

        public string Remark { get; set; }

        public long? CreatorId { get; set; }

        public DateTime CreatedTime { get; set; }

    }

    [MapFrom(typeof(IPN))]
    public class IPNOutputDto : IOutputDto
    {
        public Guid Id { get; set; }

        public Guid MaterialCategoryId { get; set; }

        public string MaterialCategoryName { get; set; }

        public Status Status { get; set; }

        public string IpnNo { get; set; }

        public string Name { get; set; }

        public int Unit { get; set; }

        public string Description { get; set; }

        public string Manufacturer { get; set; }

        public string StockAttributes { get; set; }

        public int Project { get; set; }

        public string Remark { get; set; }

        public long? CreatorId { get; set; }

        public DateTime CreatedTime { get; set; }

    }

    public class IPNDto
    {
        public Guid Id { get; set; }
        public string IpnNo { get; set; }
    }
}