﻿namespace Vinno.WMS.Pack.Core.Dtos
{
    [MapTo(typeof(Material))]
    public class MaterialInputDto : IInputDto<Guid>
    {
        public Guid Id { get; set; }

        /// <summary>
        /// 库位Id
        /// </summary>
        public Guid WareHouseAreaPosId { get; set; }

        /// <summary>
        /// IPN Id
        /// </summary>
        public Guid IPNId { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        public decimal Num { get; set; }

    }

    [MapFrom(typeof(Material))]
    public class MaterialOutputDto : IOutputDto
    {
        public Guid Id { get; set; }

        /// <summary>
        /// 仓库名称
        /// </summary>
        public string WareHouseName { get; set; }

        /// <summary>
        /// 库区名称
        /// </summary>
        public string WareHouseAreaName { get; set; }

        /// <summary>
        /// 库位名称
        /// </summary>
        public string WareHouseAreaPosName { get; set; }

        public string IPNNo { get; set; }

        public string IPNName { get; set; }

        /// <summary>
        /// 库存数量
        /// </summary>
        public decimal IPNNum { get; set; }

    }
}
