﻿using MicroCloud.Mapping;

namespace Vinno.WMS.Pack.Core.Dtos
{
    [MapTo(typeof(WareHouseAreaPos))]
    public class WareHouseAreaPosInputDto : IInputDto<Guid>
    {
        public Guid Id { get; set; }

        /// <summary>
        /// 库位名称
        /// </summary>
        public string AreaPosName { get; set; }

        /// <summary>
        /// 货架号
        /// </summary>
        public string StorageNo { get; set; }

        /// <summary>
        /// 层号
        /// </summary>
        public string LevelNo { get; set; }

        /// <summary>
        /// 位号
        /// </summary>
        public string PosNo { get; set; }

        public Guid WareHouseAreaId { get; set; }

    }

    [MapFrom(typeof(WareHouseAreaPos))]
    public class WareHouseAreaPosOutputDto : IOutputDto
    {
        public Guid Id { get; set; }

        /// <summary>
        /// 库位名称
        /// </summary>
        public string AreaPosName { get; set; }

        /// <summary>
        /// 货架号
        /// </summary>
        public string StorageNo { get; set; }

        /// <summary>
        /// 层号
        /// </summary>
        public string LevelNo { get; set; }

        /// <summary>
        /// 位号
        /// </summary>
        public string PosNo { get; set; }

        public Guid WareHouseAreaId { get; set; }

        public string ParentName { get; set; }
    }
}