﻿using System.Collections.Generic;

namespace Vinno.WMS.Pack.Core.Entities
{
    /// <summary>
    /// 物料二级
    /// </summary>
    [Description("物料二级")]
    [TableSchema(TableConstants.WMS, "VINNO")]
    public class MaterialTwoLevel : EntityBase<Guid>
    {
        [Required, DisplayName("一级Id")]
        public Guid OneLevelId { get; set; }

        [Required]
        [DisplayName("名称"), StringSize(StringSize.Name)]
        public string Name { get; set; }

        [DisplayName("英文名称"), StringSize(StringSize.Remark)]
        public string FrnName { get; set; }

        [DisplayName("说明"), StringSize(StringSize.Max)]
        public string Description { get; set; }

        public virtual MaterialOneLevel OneLevel { get; set; }

        public virtual List<MaterialThreeLevel> ThreeLevels { get; set; }
    }
}
