﻿namespace Vinno.WMS.Pack.Core.Entities
{
    /// <summary>
    /// 物料信息
    /// </summary>
    [Description("物料信息")]
    [TableSchema(TableConstants.WMS, "VINNO")]
    public class Material : EntityBase<Guid>
    {
        /// <summary>
        /// 仓库Id
        /// </summary>
        public Guid WareHouseId { get; set; }

        /// <summary>
        /// 库区Id
        /// </summary>
        public Guid WareHouseAreaId { get; set; }

        /// <summary>
        /// 库位Id
        /// </summary>
        public Guid WareHouseAreaPosId { get; set; }

        /// <summary>
        /// IPN Id
        /// </summary>
        public Guid IPNId { get; set; }

        /// <summary>
        /// 库存数量
        /// </summary>
        public decimal Num { get; set; }

        #region 导航属性
        public virtual WareHouse WareHouse { get; set; }

        public virtual WareHouseArea WareHouseArea { get; set; }

        public virtual WareHouseAreaPos WareHouseAreaPos { get; set; }

        public virtual IPN IPN { get; set; }

        public virtual List<MaterialInStorage> MaterialInStorages { get; set; }

        public virtual List<MaterialOutStorage> MaterialOutStorages { get; set; }

        #endregion

    }
}
