﻿namespace Vinno.WMS.Pack.Core.Entities
{
    /// <summary>
    /// 物料入库
    /// </summary>
    [Description("物料入库")]
    [TableSchema(TableConstants.WMS, "VINNO")]
    public class MaterialInStorage : EntityBase<Guid>, ICreationAudited<long>
    {
        /// <summary>
        /// 仓库物料Id
        /// </summary>
        public Guid MaterialId { get; set; }

        /// <summary>
        /// 所属项目
        /// </summary>
        public int Project { get; set; }

        ///// <summary>
        ///// 部件名称
        ///// </summary>
        //[Required, StringSize(StringSize.Name)]
        //public string Name { get; set; }

        ///// <summary>
        ///// 规格型号
        ///// </summary>
        //public string Description { get; set; }

        ///// <summary>
        ///// 单位
        ///// </summary>
        //[Required]
        //public string Unit { get; set; }

        /// <summary>
        /// 入库数量
        /// </summary>
        public decimal Num { get; set; }

        /// <summary>
        /// 订单号
        /// </summary>
        [Required, StringSize(StringSize.General)]
        public string OrderNo { get; set; }
      
        /// <summary>
        /// 备注
        /// </summary>
        [StringSize(StringSize.Max)]
        public string Remark { get; set; }

        /// <summary>
        /// 处理状态
        /// </summary>
        public HandleStatus HandleStatus { get; set; }

        /// <summary>
        /// 获取或设置 创建者编号
        /// </summary>
        [DisplayName("创建者编号")]
        public long? CreatorId { get; set; }

        /// <summary>
        /// 获取或设置 创建时间
        /// </summary>
        [DisplayName("创建时间")]
        public DateTime CreatedTime { get; set; }

        #region 导航属性
        public virtual Material Material { get; set; }

        #endregion
    }
}
