﻿using Newtonsoft.Json;

namespace Vinno.WMS.Pack.Core.Entities
{
    /// <summary>
    /// 仓库信息
    /// </summary>
    [Description("仓库信息")]
    [TableSchema(TableConstants.WMS, "VINNO")]
    public class WareHouse : EntityBase<Guid>, ICreatedTime
    {
        /// <summary>
        /// 仓库名称
        /// </summary>
        [DisplayName("仓库名称")]
        [Required, StringSize(StringSize.Name)]
        public string Name { get; set; }

        /// <summary>
        /// 仓库描述
        /// </summary>
        [DisplayName("仓库描述")]
        [StringSize(StringSize.Max)]
        public string Description { get; set; }

        /// <summary>
        /// 获取或设置 创建时间
        /// </summary>
        [DisplayName("创建时间")]
        public DateTime CreatedTime { get; set; }

        public virtual List<WareHouseArea> WareHouseAreas { get; set; }

        public virtual List<Material> Materials { get; set; }

    }
}
