﻿namespace Vinno.WMS.Pack.Core.Entities
{
    /// <summary>
    /// 库区信息
    /// </summary>
    [Description("库区信息")]
    [TableSchema(TableConstants.WMS, "VINNO")]
    public class WareHouseArea : EntityBase<Guid>
    {
        /// <summary>
        /// 库区名称
        /// </summary>
        [DisplayName("库区名称")]
        [Required,StringSize(StringSize.Name)]
        public string AreaName { get; set; }
     
        /// <summary>
        /// 库区类型
        /// </summary>
        [DisplayName("库区类型")]
        public WareHouseAreaType AreaType { get; set; }

        /// <summary>
        /// 关联仓库
        /// </summary>
        [DisplayName("关联仓库")]
        public Guid WareHouseId { get; set; }

        public virtual WareHouse WareHouse { get; set; }

        public virtual List<WareHouseAreaPos> WareHouseAreaPoses { get; set; }

        public virtual List<Material> Materials { get; set; }
    }
}
