﻿namespace Vinno.WMS.Pack.Core.Entities
{
    /// <summary>
    /// 库位信息
    /// </summary>
    [Description("库位信息")]
    [TableSchema(TableConstants.WMS, "VINNO")]
    public class WareHouseAreaPos : EntityBase<Guid>
    {
        /// <summary>
        /// 库位名称
        /// </summary>
        [DisplayName("库位名称")]
        [StringSize(StringSize.General)]
        public string AreaPosName { get; set; }

        /// <summary>
        /// 货架号
        /// </summary>
        [DisplayName("货架号")]
        [StringSize(StringSize.Name)]
        public string StorageNo { get; set; }

        /// <summary>
        /// 层号
        /// </summary>
        [DisplayName("层号")]
        [StringSize(StringSize.Name)]
        public string LevelNo { get; set; }

        /// <summary>
        /// 位号
        /// </summary>
        [DisplayName("位号")]
        [StringSize(StringSize.Name)]
        public string PosNo { get; set; }

        /// <summary>
        /// 关联库区
        /// </summary>
        [DisplayName("关联库区")]
        public Guid WareHouseAreaId { get; set; }

        public virtual WareHouseArea WareHouseArea { get; set; }

        public virtual List<Material> Materials { get; set; }
    }
}
