﻿namespace Vinno.WMS.Pack.Data
{
    /// <summary>
    /// 库区类型
    /// </summary>
    public enum WareHouseAreaType
    {
        [Description("电子物料")]
        ElectronicMaterial = 0,
        [Description("机构物料")]
        MechanismMaterial,
        [Description("开发板")]
        DevelopmentBoard,
        [Description("竞品")]
        CompetingGoods,
        [Description("仪器")]
        Instrument,
        [Description("工具")]
        Tool,
        [Description("办公用品")]
        OfficeSupplies
    }

    /// <summary>
    /// 申请单状态
    /// </summary>
    public enum Status
    {
        [Description("待申请")]
        WaitApply = 0,
        [Description("研发审批")]
        RdApprove,
        [Description("IPN审批")]
        IpnApprove,
        [Description("申请完成")]
        CompleteApply

    }

    /// <summary>
    /// 是否已办理入库
    /// </summary>
    public enum HandleStatus
    {
        [Description("未办理")]
        No = 0,
        [Description("已办理")]
        Yes,
    }

    /// <summary>
    /// 出库状态
    /// </summary>
    public enum OutStorgeStatus
    {
        [Description("待审批")]
        Apply = 0,
        [Description("研发审批")]
        RdApprove,
        [Description("出库完成")]
        Complete

    }
}