﻿using MicroCloud.Entity.Configuration;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Vinno.WMS.Pack.EntityConfiguration
{
    /// <summary>
    /// 文件内容实体映射配置
    /// </summary>
    public class MaterialThreeLevelConfiguration : EntityTypeConfigurationBase<MaterialThreeLevel, Guid>
    {
        /// <summary>
        /// 重写以实现实体类型各个属性的数据库配置
        /// </summary>
        /// <param name="builder">实体类型创建器</param>
        public override void Configuration(EntityTypeBuilder<MaterialThreeLevel> builder)
        {
            builder.HasIndex(m => new { m.TwoLevelId, m.Name }).SetIndex("TwoLevelName", true);

            builder.HasOne(a => a.TwoLevel).WithMany(a => a.ThreeLevels).HasForeignKey(a => a.TwoLevelId).SetForeignKey("TwoLevelId", true);
        }
    }
}
