﻿using MicroCloud.Entity.Configuration;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Vinno.WMS.Pack.EntityConfiguration
{
    /// <summary>
    /// 文件内容实体映射配置
    /// </summary>
    public class MaterialTwoLevelConfiguration : EntityTypeConfigurationBase<MaterialTwoLevel, Guid>
    {
        /// <summary>
        /// 重写以实现实体类型各个属性的数据库配置
        /// </summary>
        /// <param name="builder">实体类型创建器</param>
        public override void Configuration(EntityTypeBuilder<MaterialTwoLevel> builder)
        {
            builder.HasIndex(m => new { m.OneLevelId, m.Name }).SetIndex("OneLevelName", true);

            builder.HasOne(a => a.OneLevel).WithMany(a => a.TwoLevels).HasForeignKey(a => a.OneLevelId).SetForeignKey("OneLevelId", true);
        }
    }
}
