﻿using MicroCloud.Entity.Configuration;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Vinno.WMS.Pack.EntityConfiguration
{
    /// <summary>
    /// 文件内容实体映射配置
    /// </summary>
    public class MaterialConfiguration : EntityTypeConfigurationBase<Material, Guid>
    {
        /// <summary>
        /// 重写以实现实体类型各个属性的数据库配置
        /// </summary>
        /// <param name="builder">实体类型创建器</param>
        public override void Configuration(EntityTypeBuilder<Material> builder)
        {
            builder.HasIndex(m => new { m.WareHouseId, m.WareHouseAreaId, m.WareHouseAreaPosId }).SetIndex("WareHouseAreaPosId", false);
            builder.HasIndex(m => new { m.WareHouseId, m.WareHouseAreaId, m.WareHouseAreaPosId, m.IPNId }).SetIndex("WareHouseAreaPosIPNId", true);

            builder.HasOne(a => a.WareHouse).WithMany(a => a.Materials).HasForeignKey(da => da.WareHouseId).SetForeignKey("WareHouseId", false);
            builder.HasOne(a => a.WareHouseArea).WithMany(a => a.Materials).HasForeignKey(da => da.WareHouseAreaId).SetForeignKey("WareHouseAreaId", false);
            builder.HasOne(a => a.WareHouseAreaPos).WithMany(a => a.Materials).HasForeignKey(da => da.WareHouseAreaPosId).SetForeignKey("WareHouseAreaPosId", false);

        }
    }
}
