﻿using MicroCloud.Entity.Configuration;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Vinno.WMS.Pack.EntityConfiguration
{
    /// <summary>
    /// 文件内容实体映射配置
    /// </summary>
    public class MaterialInStorageConfiguration : EntityTypeConfigurationBase<MaterialInStorage, Guid>
    {
        /// <summary>
        /// 重写以实现实体类型各个属性的数据库配置
        /// </summary>
        /// <param name="builder">实体类型创建器</param>
        public override void Configuration(EntityTypeBuilder<MaterialInStorage> builder)
        {
            builder.HasOne(a => a.Material).WithMany(a => a.MaterialInStorages)
                .HasForeignKey(da => da.MaterialId).SetForeignKey("MaterialId", false);

        }
    }
}
