﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Vinno.WMS.Service.Migrations
{
    /// <inheritdoc />
    public partial class init1 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "VINNO_WMS_IPN",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    MaterialId = table.Column<Guid>(type: "TEXT", nullable: false, comment: "MaterialId"),
                    SerialNo = table.Column<string>(type: "TEXT", maxLength: 512, nullable: true, comment: "SerialNo"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "Name"),
                    Unit = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "Unit"),
                    Description = table.Column<string>(type: "TEXT", maxLength: 512, nullable: true, comment: "Description"),
                    Manufacturer = table.Column<string>(type: "NVARCHAR(2048)", maxLength: 2048, nullable: true, comment: "Manufacturer"),
                    StockAttributes = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "StockAttributes"),
                    Project = table.Column<string>(type: "NVARCHAR(3072)", maxLength: 3072, nullable: false, comment: "Project"),
                    Remark = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: true, comment: "Remark"),
                    CreatorId = table.Column<long>(type: "INTEGER", nullable: true, comment: "创建者编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_IPN", x => x.Id);
                },
                comment: "IPN信息");

            migrationBuilder.CreateIndex(
                name: "IDX_IPN_Name",
                table: "VINNO_WMS_IPN",
                column: "Name",
                unique: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "VINNO_WMS_IPN");
        }
    }
}
