﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Vinno.WMS.Service.Migrations
{
    /// <inheritdoc />
    public partial class init2 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "VINNO_WMS_Material",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    ParentId = table.Column<Guid>(type: "TEXT", nullable: true, comment: "父编号"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "类别名称"),
                    FrnName = table.Column<string>(type: "NVARCHAR(2048)", maxLength: 2048, nullable: true, comment: "英文名称"),
                    Description = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: true, comment: "类别描述"),
                    TreePathString = table.Column<string>(type: "NVARCHAR(1024)", maxLength: 1024, nullable: false, comment: "节点树形路径")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_Material", x => x.Id);
                    table.ForeignKey(
                        name: "FK_Material_ParentId",
                        column: x => x.ParentId,
                        principalTable: "VINNO_WMS_Material",
                        principalColumn: "Id");
                },
                comment: "物料");

            migrationBuilder.CreateIndex(
                name: "IDX_Material_Name",
                table: "VINNO_WMS_Material",
                columns: new[] { "Name", "ParentId" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_Material_ParentId",
                table: "VINNO_WMS_Material",
                column: "ParentId");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "VINNO_WMS_Material");
        }
    }
}
