﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Vinno.WMS.Service.Migrations
{
    /// <inheritdoc />
    public partial class init3 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "VINNO_WMS_MaterialThreeLevel");

            migrationBuilder.DropTable(
                name: "VINNO_WMS_MaterialTwoLevel");

            migrationBuilder.DropTable(
                name: "VINNO_WMS_MaterialOneLevel");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "VINNO_WMS_MaterialOneLevel",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    Description = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: true, comment: "类别描述"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "类别名称")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_MaterialOneLevel", x => x.Id);
                },
                comment: "物料一级");

            migrationBuilder.CreateTable(
                name: "VINNO_WMS_MaterialTwoLevel",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    OneLevelId = table.Column<Guid>(type: "TEXT", nullable: false, comment: "一级Id"),
                    Description = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: true, comment: "说明"),
                    FrnName = table.Column<string>(type: "NVARCHAR(2048)", maxLength: 2048, nullable: true, comment: "英文名称"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "名称")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_MaterialTwoLevel", x => x.Id);
                    table.ForeignKey(
                        name: "FK_MaterialTwoLevel_OneLevelId",
                        column: x => x.OneLevelId,
                        principalTable: "VINNO_WMS_MaterialOneLevel",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "物料二级");

            migrationBuilder.CreateTable(
                name: "VINNO_WMS_MaterialThreeLevel",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    TwoLevelId = table.Column<Guid>(type: "TEXT", nullable: false, comment: "二级Id"),
                    Description = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: true, comment: "说明"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "名称")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_MaterialThreeLevel", x => x.Id);
                    table.ForeignKey(
                        name: "FK_MaterialThreeLevel_TwoLevelId",
                        column: x => x.TwoLevelId,
                        principalTable: "VINNO_WMS_MaterialTwoLevel",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "物料三级");

            migrationBuilder.CreateIndex(
                name: "IDX_MaterialOneLevel_Name",
                table: "VINNO_WMS_MaterialOneLevel",
                column: "Name",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_MaterialThreeLevel_TwoLevelName",
                table: "VINNO_WMS_MaterialThreeLevel",
                columns: new[] { "TwoLevelId", "Name" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_MaterialTwoLevel_OneLevelName",
                table: "VINNO_WMS_MaterialTwoLevel",
                columns: new[] { "OneLevelId", "Name" },
                unique: true);
        }
    }
}
