﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Vinno.WMS.Service.Migrations
{
    /// <inheritdoc />
    public partial class init : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "MICRO_AUD_AuditOperation",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    FunctionName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "执行的功能名"),
                    UserId = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "当前用户标识"),
                    UserName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "当前用户名"),
                    NickName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "当前用户昵称"),
                    Ip = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "当前访问IP"),
                    OperationSystem = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "操作系统"),
                    Browser = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "浏览器"),
                    UserAgent = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "当前访问用户代理"),
                    Method = table.Column<string>(type: "NVARCHAR(64)", maxLength: 64, nullable: false, comment: "请求方法"),
                    ContentType = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "请求内容类型"),
                    QueryString = table.Column<string>(type: "NVARCHAR(2048)", maxLength: 2048, nullable: false, comment: "请求查询字符串"),
                    Arguments = table.Column<string>(type: "NTEXT", maxLength: 4096, nullable: false, comment: "请求参数"),
                    ResultType = table.Column<int>(type: "INTEGER", nullable: false, comment: "操作结果（Ajax结果类型：[200]成功；[400]错误；[401]未登录；[403]已登录但权限不足；[404]资源未找到；[405]不允许；[415]不支持；[423]资源被锁定；[500]服务器内部错误；[501]功能未实现）"),
                    Message = table.Column<string>(type: "NVARCHAR(3072)", maxLength: 3072, nullable: false, comment: "消息"),
                    ResultData = table.Column<string>(type: "NTEXT", maxLength: 4096, nullable: false, comment: "结果数据"),
                    Elapsed = table.Column<int>(type: "INTEGER", nullable: false, comment: "执行耗时（毫秒）"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "信息添加时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_AUD_AuditOperation", x => x.Id);
                },
                comment: "审计操作信息");

            migrationBuilder.CreateTable(
                name: "MICRO_AUZ_EntityInfo",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "实体名称"),
                    TypeName = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "实体类型名称"),
                    DbSchema = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "数据库架构"),
                    DbObjName = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "数据库对象名称"),
                    DbObjType = table.Column<int>(type: "INTEGER", nullable: false, comment: "数据库对象类型（数据库对象类型：[1]数据表；[2]数据视图；[3]函数；[4]存储过程；[5]触发器）"),
                    AuditEnabled = table.Column<bool>(type: "INTEGER", nullable: false, comment: " 启用数据审计"),
                    PropertyJson = table.Column<string>(type: "NTEXT", maxLength: 4096, nullable: false, comment: "实体属性信息Json字符串"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间"),
                    UpdatedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "更新时间"),
                    DataVersion = table.Column<long>(type: "INTEGER", nullable: false, comment: "数据版本")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_AUZ_EntityInfo", x => x.Id);
                },
                comment: "实体信息");

            migrationBuilder.CreateTable(
                name: "MICRO_AUZ_Function",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "功能名称"),
                    Area = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "区域"),
                    Controller = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "控制器"),
                    Action = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "功能"),
                    IsController = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否控制器"),
                    IsAjax = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否Ajax功能"),
                    AccessType = table.Column<int>(type: "INTEGER", nullable: false, comment: "访问类型（功能访问类型：[1]匿名访问；[2]登录访问；[3]角色访问）"),
                    IsAccessTypeChanged = table.Column<bool>(type: "INTEGER", nullable: false, comment: "访问类型是否更改"),
                    AuditOperationEnabled = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否操作审计"),
                    AuditEntityEnabled = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否数据审计"),
                    CacheExpirationSeconds = table.Column<int>(type: "INTEGER", nullable: false, comment: "数据缓存秒数"),
                    IsCacheSliding = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否相对过期时间"),
                    IsSlaveDatabase = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否从库"),
                    IsLocked = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否锁定"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间"),
                    UpdatedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "更新时间"),
                    DataVersion = table.Column<long>(type: "INTEGER", nullable: false, comment: "数据版本")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_AUZ_Function", x => x.Id);
                },
                comment: "功能信息");

            migrationBuilder.CreateTable(
                name: "MICRO_AUZ_Module",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "模块名称"),
                    FullName = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "模块全称"),
                    Code = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "模块代码"),
                    FullCode = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "模块代码全称"),
                    OrderNo = table.Column<int>(type: "INTEGER", nullable: false, comment: "顺序编号"),
                    TreePathString = table.Column<string>(type: "NVARCHAR(1024)", maxLength: 1024, nullable: false, comment: "节点树形路径"),
                    ParentId = table.Column<long>(type: "INTEGER", nullable: true, comment: "父模块编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_AUZ_Module", x => x.Id);
                    table.ForeignKey(
                        name: "FK_Module_ParentId",
                        column: x => x.ParentId,
                        principalTable: "MICRO_AUZ_Module",
                        principalColumn: "Id");
                },
                comment: "模块信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_Organization",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    Type = table.Column<int>(type: "INTEGER", nullable: false, comment: "组织机构类型（组织机构类型：[1]虚拟组织；[2]法人组织；[3]部门组织）"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "组织机构名称"),
                    NormalizedName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "标准化名称"),
                    Description = table.Column<string>(type: "NVARCHAR(1024)", maxLength: 1024, nullable: false, comment: "组织机构描述"),
                    OrderNumber = table.Column<decimal>(type: "TEXT", precision: 22, scale: 10, nullable: false, comment: "顺序编号"),
                    TreePathString = table.Column<string>(type: "NVARCHAR(1024)", maxLength: 1024, nullable: false, comment: "节点树形路径"),
                    ParentId = table.Column<long>(type: "INTEGER", nullable: true, comment: "父组织机构编号"),
                    EnableLogin = table.Column<bool>(type: "INTEGER", nullable: false, comment: "启用登陆"),
                    IsDefault = table.Column<bool>(type: "INTEGER", nullable: false, comment: "默认组织机构"),
                    IsSystem = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否系统组织机构"),
                    IsLocked = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否锁定"),
                    CreatorId = table.Column<long>(type: "INTEGER", nullable: true, comment: "创建者编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间"),
                    UpdaterId = table.Column<long>(type: "INTEGER", nullable: true, comment: "更新者编号"),
                    UpdatedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "更新时间"),
                    DeletedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "删除时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_Organization", x => x.Id);
                    table.ForeignKey(
                        name: "FK_Organization_ParentId",
                        column: x => x.ParentId,
                        principalTable: "MICRO_IDT_Organization",
                        principalColumn: "Id");
                },
                comment: "组织机构信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_Role",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "角色名称"),
                    NormalizedName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "标准化角色名称"),
                    Description = table.Column<string>(type: "NVARCHAR(1024)", maxLength: 1024, nullable: false, comment: "角色描述"),
                    Remark = table.Column<string>(type: "NVARCHAR(2048)", maxLength: 2048, nullable: false, comment: "角色描述"),
                    IsAdmin = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否管理员角色"),
                    IsDefault = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否默认角色"),
                    IsSystem = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否系统角色"),
                    IsLocked = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否锁定"),
                    CreatorId = table.Column<long>(type: "INTEGER", nullable: true, comment: "创建者编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间"),
                    UpdaterId = table.Column<long>(type: "INTEGER", nullable: true, comment: "更新者编号"),
                    UpdatedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "更新时间"),
                    DeletedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "删除时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_Role", x => x.Id);
                },
                comment: "角色信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_User",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    UserName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "用户名"),
                    NormalizedUserName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "标准化用户名"),
                    NickName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "用户昵称"),
                    Email = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "电子邮箱"),
                    NormalizeEmail = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "标准化电子邮箱"),
                    EmailConfirmed = table.Column<bool>(type: "INTEGER", nullable: false, comment: "邮箱确认"),
                    PhoneNumber = table.Column<string>(type: "NVARCHAR(64)", maxLength: 64, nullable: false, comment: "手机号码"),
                    PhoneConfirmed = table.Column<bool>(type: "INTEGER", nullable: false, comment: "手机确认"),
                    PasswordHash = table.Column<string>(type: "NTEXT", maxLength: 4096, nullable: false, comment: "密码哈希值"),
                    TwoFactorEnabled = table.Column<bool>(type: "INTEGER", nullable: false, comment: "双因子身份验证"),
                    LockoutEnd = table.Column<DateTimeOffset>(type: "TEXT", nullable: true, comment: "锁定时间"),
                    LockoutEnabled = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否登录锁"),
                    AccessFailedCount = table.Column<int>(type: "INTEGER", nullable: false, comment: "登录失败次数"),
                    SecurityStamp = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "安全标识"),
                    IsLocked = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否锁定"),
                    IsSystem = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否系统用户"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间"),
                    DeletedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "删除时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_User", x => x.Id);
                },
                comment: "用户信息");

            migrationBuilder.CreateTable(
                name: "MICRO_MSG_Message",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    BaseType = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "基本对象"),
                    BaseId = table.Column<string>(type: "NVARCHAR(64)", maxLength: 64, nullable: false, comment: "基本对象编号"),
                    Method = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "方法名"),
                    Icon = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: false, comment: "消息图标"),
                    MessageType = table.Column<int>(type: "INTEGER", nullable: false, comment: "消息类型（消息类型：[1]文本消息；[2]图片消息；[3]语音消息；[4]视频消息；[5]文件消息；[6]图文消息；[7]数据消息）"),
                    MessageLevel = table.Column<int>(type: "INTEGER", nullable: false, comment: "消息级别（消息级别：[1]跟踪消息；[2]信息消息；[3]成功消息；[4]警告消息；[5]错误消息；[6]异常消息）"),
                    Title = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "标题"),
                    Content = table.Column<string>(type: "NVARCHAR(3072)", maxLength: 3072, nullable: false, comment: "内容"),
                    Payload = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: true, comment: "数据体"),
                    IsSystem = table.Column<bool>(type: "INTEGER", nullable: false, comment: "系统消息"),
                    SenderId = table.Column<long>(type: "INTEGER", nullable: true, comment: "发送者编号"),
                    IsSent = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否已发送"),
                    SendTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "发送时间"),
                    SendWays = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: false, comment: "发送方式：1-Internal(内部消息)、2-Email(邮件消息)、99-OAuth2(第三方平台消息)"),
                    ToUsers = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: false, comment: "发送至用户"),
                    ToOrganizations = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: false, comment: "发送至组织机构"),
                    ToRoles = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: false, comment: "发送至角色"),
                    StorageDays = table.Column<int>(type: "INTEGER", nullable: false, comment: "存储天数(0-365,0表示永久存储)"),
                    CreatorId = table.Column<long>(type: "INTEGER", nullable: true, comment: "创建者编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间"),
                    UpdaterId = table.Column<long>(type: "INTEGER", nullable: true, comment: "更新者编号"),
                    UpdatedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "更新时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_MSG_Message", x => x.Id);
                },
                comment: "消息");

            migrationBuilder.CreateTable(
                name: "MICRO_MSG_QueryMessage",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    Method = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "方法名"),
                    Icon = table.Column<string>(type: "NTEXT", maxLength: 4096, nullable: false, comment: "消息图标"),
                    MessageType = table.Column<int>(type: "INTEGER", nullable: false, comment: "消息类型（消息类型：[1]文本消息；[2]图片消息；[3]语音消息；[4]视频消息；[5]文件消息；[6]图文消息；[7]数据消息）"),
                    MessageLevel = table.Column<int>(type: "INTEGER", nullable: false, comment: "消息级别（消息级别：[1]跟踪消息；[2]信息消息；[3]成功消息；[4]警告消息；[5]错误消息；[6]异常消息）"),
                    Title = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "标题"),
                    Content = table.Column<string>(type: "NVARCHAR(3072)", maxLength: 3072, nullable: false, comment: "内容"),
                    QueryString = table.Column<string>(type: "TEXT", maxLength: 512, nullable: true, comment: "查询字符串"),
                    ReportName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "报告名称"),
                    ReportTemplate = table.Column<string>(type: "NTEXT", maxLength: 4096, nullable: false, comment: "报告模板"),
                    SendWays = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "发送方式：1-Internal(内部消息)、2-Email(邮件消息)、99-OAuth2(第三方平台消息)"),
                    ToUsers = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "发送至用户"),
                    ToOrganizations = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "发送至组织机构"),
                    ToRoles = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "发送至角色"),
                    NextSendTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "下次发送时间"),
                    CronExpression = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "Cron表达式"),
                    Enabled = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否启用"),
                    AlwaysSend = table.Column<bool>(type: "INTEGER", nullable: false, comment: "始终发送"),
                    StorageDays = table.Column<int>(type: "INTEGER", nullable: false, comment: "存储天数(0-365,0表示永久存储)"),
                    CreatorId = table.Column<long>(type: "INTEGER", nullable: true, comment: "创建者编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间"),
                    UpdaterId = table.Column<long>(type: "INTEGER", nullable: true, comment: "更新者编号"),
                    UpdatedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "更新时间"),
                    DataVersion = table.Column<long>(type: "INTEGER", nullable: false, comment: "数据版本")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_MSG_QueryMessage", x => x.Id);
                },
                comment: "查询消息");

            migrationBuilder.CreateTable(
                name: "MICRO_MSG_TemplateMessage",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    Method = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "方法名"),
                    Icon = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "消息图标"),
                    MessageType = table.Column<int>(type: "INTEGER", nullable: false, comment: "消息类型（消息类型：[1]文本消息；[2]图片消息；[3]语音消息；[4]视频消息；[5]文件消息；[6]图文消息；[7]数据消息）"),
                    MessageLevel = table.Column<int>(type: "INTEGER", nullable: false, comment: "消息级别（消息级别：[1]跟踪消息；[2]信息消息；[3]成功消息；[4]警告消息；[5]错误消息；[6]异常消息）"),
                    Title = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "标题"),
                    Content = table.Column<string>(type: "NVARCHAR(3072)", maxLength: 3072, nullable: false, comment: "内容"),
                    Payload = table.Column<string>(type: "TEXT", maxLength: 512, nullable: true, comment: "数据体"),
                    SendWays = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "发送方式：1-Internal(内部消息)、2-Email(邮件消息)、99-OAuth2(第三方平台消息)"),
                    ToUsers = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "发送至用户"),
                    ToOrganizations = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "发送至组织机构"),
                    ToRoles = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "发送至角色"),
                    NextSendTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "下次发送时间"),
                    CronExpression = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "Cron表达式"),
                    Enabled = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否启用"),
                    StorageDays = table.Column<int>(type: "INTEGER", nullable: false, comment: "存储天数(0-365,0表示永久存储)"),
                    CreatorId = table.Column<long>(type: "INTEGER", nullable: true, comment: "创建者编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间"),
                    UpdaterId = table.Column<long>(type: "INTEGER", nullable: true, comment: "更新者编号"),
                    UpdatedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "更新时间"),
                    DataVersion = table.Column<long>(type: "INTEGER", nullable: false, comment: "数据版本")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_MSG_TemplateMessage", x => x.Id);
                },
                comment: "模板消息");

            migrationBuilder.CreateTable(
                name: "MICRO_SMS_VerifyCode",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    Provider = table.Column<int>(type: "INTEGER", nullable: false, comment: "服务提供商（短信服务提供商：[1]阿里云；[2]腾讯云）"),
                    SignName = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "短信签名名称"),
                    TemplateCode = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "短信模板ID"),
                    BizId = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "发送回执ID"),
                    RequestId = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "请求ID"),
                    OutId = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "外部流水扩展字段"),
                    PhoneNumber = table.Column<string>(type: "NVARCHAR(64)", maxLength: 64, nullable: false, comment: "手机号码"),
                    SendDate = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "发送日期"),
                    ReceiveDate = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "接收日期"),
                    Message = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "信息内容"),
                    VerifyCode = table.Column<string>(type: "NVARCHAR(64)", maxLength: 64, nullable: false, comment: "验证码"),
                    ExpireMins = table.Column<decimal>(type: "TEXT", precision: 22, scale: 10, nullable: false, comment: "有效期分钟数"),
                    Verified = table.Column<bool>(type: "INTEGER", nullable: false, comment: "已验证"),
                    VerifiedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "验证时间"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_SMS_VerifyCode", x => x.Id);
                },
                comment: "验证码短信记录");

            migrationBuilder.CreateTable(
                name: "MICRO_SYS_Dict",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    Code = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "字典编码"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "字典名称"),
                    Remark = table.Column<string>(type: "NVARCHAR(2048)", maxLength: 2048, nullable: true, comment: "字典备注"),
                    IsLocked = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否锁定"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_SYS_Dict", x => x.Id);
                },
                comment: "字典");

            migrationBuilder.CreateTable(
                name: "MICRO_SYS_File",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    FileName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "文件名称"),
                    FileExtension = table.Column<string>(type: "NVARCHAR(64)", maxLength: 64, nullable: false, comment: "文件扩展名"),
                    Size = table.Column<long>(type: "INTEGER", nullable: false, comment: "文件大小(bytes)"),
                    SerializedName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "文件序列化名称"),
                    SHA1 = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "文件SHA1值"),
                    MD5 = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "文件MD5值"),
                    PhysicalPath = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "物理存储路径"),
                    RequestPath = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: true, comment: "文件请求路径"),
                    Version = table.Column<long>(type: "INTEGER", nullable: false, comment: "文件版本"),
                    CreatorId = table.Column<long>(type: "INTEGER", nullable: true, comment: "创建者编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间"),
                    UpdaterId = table.Column<long>(type: "INTEGER", nullable: true, comment: "更新者编号"),
                    UpdatedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "更新时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_SYS_File", x => x.Id);
                },
                comment: "文件");

            migrationBuilder.CreateTable(
                name: "MICRO_SYS_FileActionRecord",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    FileId = table.Column<long>(type: "INTEGER", nullable: false, comment: "文件ID"),
                    ActionType = table.Column<int>(type: "INTEGER", nullable: false, comment: "记录类型（文件记录类型：[1]上传；[2]下载；[3]删除；[4]更新；[5]复制；[6]迁移）"),
                    Version = table.Column<long>(type: "INTEGER", nullable: false, comment: "文件版本"),
                    CreatorId = table.Column<long>(type: "INTEGER", nullable: true, comment: "创建者编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_SYS_FileActionRecord", x => x.Id);
                },
                comment: "文件操作记录");

            migrationBuilder.CreateTable(
                name: "MICRO_SYS_FileSaveRecord",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    FileId = table.Column<long>(type: "INTEGER", nullable: false, comment: "文件ID"),
                    FileName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "文件名称"),
                    FileExtension = table.Column<string>(type: "NVARCHAR(64)", maxLength: 64, nullable: false, comment: "文件扩展名"),
                    SHA1 = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "文件SHA1值"),
                    MD5 = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "文件MD5值"),
                    Size = table.Column<long>(type: "INTEGER", nullable: false, comment: "文件大小(bytes)"),
                    SerializedName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "文件序列化名称"),
                    PhysicalPath = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "物理存储路径"),
                    RequestPath = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "文件请求路径"),
                    Version = table.Column<long>(type: "INTEGER", nullable: false, comment: "文件版本"),
                    FileByte = table.Column<byte[]>(type: "BLOB", nullable: false, comment: "文件字节"),
                    CreatorId = table.Column<long>(type: "INTEGER", nullable: true, comment: "创建者编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_SYS_FileSaveRecord", x => x.Id);
                },
                comment: "文件存档记录");

            migrationBuilder.CreateTable(
                name: "MICRO_SYS_KeyValue",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    Key = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "数据键名"),
                    ValueJson = table.Column<string>(type: "NTEXT", maxLength: 4096, nullable: false, comment: "数据值JSON"),
                    ValueType = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "数据值类型名"),
                    Display = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "显示名称"),
                    Remark = table.Column<string>(type: "NVARCHAR(2048)", maxLength: 2048, nullable: false, comment: "备注"),
                    OrderNo = table.Column<decimal>(type: "TEXT", precision: 22, scale: 10, nullable: false, comment: "顺序编号"),
                    IsLocked = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否锁定"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_SYS_KeyValue", x => x.Id);
                },
                comment: "字典数据");

            migrationBuilder.CreateTable(
                name: "VINNO_WMS_MaterialCategory",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    ParentId = table.Column<Guid>(type: "TEXT", nullable: true, comment: "父编号"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "类别名称"),
                    FrnName = table.Column<string>(type: "NVARCHAR(2048)", maxLength: 2048, nullable: true, comment: "英文名称"),
                    Description = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: true, comment: "类别描述"),
                    TreePathString = table.Column<string>(type: "NVARCHAR(1024)", maxLength: 1024, nullable: false, comment: "节点树形路径")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_MaterialCategory", x => x.Id);
                    table.ForeignKey(
                        name: "FK_MaterialCategory_ParentId",
                        column: x => x.ParentId,
                        principalTable: "VINNO_WMS_MaterialCategory",
                        principalColumn: "Id");
                },
                comment: "物料");

            migrationBuilder.CreateTable(
                name: "VINNO_WMS_WareHouse",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "仓库名称"),
                    Description = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: true, comment: "仓库描述"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_WareHouse", x => x.Id);
                },
                comment: "仓库信息");

            migrationBuilder.CreateTable(
                name: "MICRO_AUD_AuditEntity",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "实体名称"),
                    TypeName = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "类型名称"),
                    EntityKey = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "数据编号"),
                    OperateType = table.Column<int>(type: "INTEGER", nullable: false, comment: "操作类型（操作类型：[1]查询；[2]新增；[3]更新；[4]删除）"),
                    OperationId = table.Column<long>(type: "INTEGER", nullable: false, comment: "所属审计操作编号")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_AUD_AuditEntity", x => x.Id);
                    table.ForeignKey(
                        name: "FK_AuditEntity_OperationId",
                        column: x => x.OperationId,
                        principalTable: "MICRO_AUD_AuditOperation",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "审计实体信息");

            migrationBuilder.CreateTable(
                name: "MICRO_AUZ_ModuleFunction",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    ModuleId = table.Column<long>(type: "INTEGER", nullable: false, comment: "模块编号"),
                    FunctionId = table.Column<long>(type: "INTEGER", nullable: false, comment: "功能编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_AUZ_ModuleFunction", x => x.Id);
                    table.ForeignKey(
                        name: "FK_ModuleFunction_FunctionId",
                        column: x => x.FunctionId,
                        principalTable: "MICRO_AUZ_Function",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_ModuleFunction_ModuleId",
                        column: x => x.ModuleId,
                        principalTable: "MICRO_AUZ_Module",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "模块功能信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_OrganizationClaim",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    OrganizationId = table.Column<long>(type: "INTEGER", nullable: false, comment: "组织机构编号"),
                    ClaimType = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "声明类型"),
                    ClaimValue = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "声明值"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_OrganizationClaim", x => x.Id);
                    table.ForeignKey(
                        name: "FK_OrganizationClaim_OrganizationId",
                        column: x => x.OrganizationId,
                        principalTable: "MICRO_IDT_Organization",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "组织机构声明信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_OrganizationDetail",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    OrganizationId = table.Column<long>(type: "INTEGER", nullable: false, comment: "组织机构编号"),
                    NameFrgn = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "组织机构名称(外文)"),
                    Address = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "地址"),
                    AddressFrgn = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "地址(外文)"),
                    PrintHeader = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "打印抬头"),
                    PrintHeaderFrgn = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "打印抬头(外文)"),
                    ReptName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "报表名称"),
                    ReptNameFrgn = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "报表名称(外文)"),
                    Remark = table.Column<string>(type: "NVARCHAR(2048)", maxLength: 2048, nullable: false, comment: "备注")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_OrganizationDetail", x => x.Id);
                    table.ForeignKey(
                        name: "FK_OrganizationDetail_OrganizationId",
                        column: x => x.OrganizationId,
                        principalTable: "MICRO_IDT_Organization",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "组织机构详细信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_OrganizationPortfolio",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    OrganizationId = table.Column<long>(type: "INTEGER", nullable: false, comment: "组织机构编号"),
                    Avatar = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: false, comment: "电子头像"),
                    Signature = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: false, comment: "电子签名")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_OrganizationPortfolio", x => x.Id);
                    table.ForeignKey(
                        name: "FK_OrganizationPortfolio_OrganizationId",
                        column: x => x.OrganizationId,
                        principalTable: "MICRO_IDT_Organization",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "组织机构证照");

            migrationBuilder.CreateTable(
                name: "MICRO_AUZ_EntityRole",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    RoleId = table.Column<long>(type: "INTEGER", nullable: false, comment: "角色编号"),
                    EntityId = table.Column<long>(type: "INTEGER", nullable: false, comment: "数据编号"),
                    Operation = table.Column<int>(type: "INTEGER", nullable: false, comment: "数据权限操作（数据权限操作：[1]读取；[3]更新；[4]删除）"),
                    FilterGroupJson = table.Column<string>(type: "NTEXT", maxLength: 4096, nullable: false, comment: "过滤条件组"),
                    IsLocked = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否锁定"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间"),
                    UpdatedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "更新时间"),
                    DataVersion = table.Column<long>(type: "INTEGER", nullable: false, comment: "数据版本")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_AUZ_EntityRole", x => x.Id);
                    table.ForeignKey(
                        name: "FK_EntityRole_EntityId",
                        column: x => x.EntityId,
                        principalTable: "MICRO_AUZ_EntityInfo",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_EntityRole_RoleId",
                        column: x => x.RoleId,
                        principalTable: "MICRO_IDT_Role",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "数据角色信息");

            migrationBuilder.CreateTable(
                name: "MICRO_AUZ_ModuleRole",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    ModuleId = table.Column<long>(type: "INTEGER", nullable: false, comment: "模块编号"),
                    RoleId = table.Column<long>(type: "INTEGER", nullable: false, comment: "角色编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_AUZ_ModuleRole", x => x.Id);
                    table.ForeignKey(
                        name: "FK_ModuleRole_ModuleId",
                        column: x => x.ModuleId,
                        principalTable: "MICRO_AUZ_Module",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_ModuleRole_RoleId",
                        column: x => x.RoleId,
                        principalTable: "MICRO_IDT_Role",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "角色模块信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_RoleClaim",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    RoleId = table.Column<long>(type: "INTEGER", nullable: false, comment: "角色编号"),
                    ClaimType = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "声明类型"),
                    ClaimValue = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "声明值"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_RoleClaim", x => x.Id);
                    table.ForeignKey(
                        name: "FK_RoleClaim_RoleId",
                        column: x => x.RoleId,
                        principalTable: "MICRO_IDT_Role",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "角色声明信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_RoleOrganization",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    RoleId = table.Column<long>(type: "INTEGER", nullable: false, comment: "角色编号"),
                    OrganizationId = table.Column<long>(type: "INTEGER", nullable: false, comment: "组织机构编号"),
                    Administrator = table.Column<bool>(type: "INTEGER", nullable: false, comment: "机构管理员"),
                    Leader = table.Column<bool>(type: "INTEGER", nullable: false, comment: "机构经理"),
                    IsLocked = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否锁定"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_RoleOrganization", x => x.Id);
                    table.ForeignKey(
                        name: "FK_RoleOrganization_OrganizationId",
                        column: x => x.OrganizationId,
                        principalTable: "MICRO_IDT_Organization",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_RoleOrganization_RoleId",
                        column: x => x.RoleId,
                        principalTable: "MICRO_IDT_Role",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "角色组织机构信息");

            migrationBuilder.CreateTable(
                name: "MICRO_AUZ_EntityUser",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    UserId = table.Column<long>(type: "INTEGER", nullable: false, comment: "用户编号"),
                    EntityId = table.Column<long>(type: "INTEGER", nullable: false, comment: "数据编号"),
                    Operation = table.Column<int>(type: "INTEGER", nullable: false, comment: "数据权限操作（数据权限操作：[1]读取；[3]更新；[4]删除）"),
                    FilterGroupJson = table.Column<string>(type: "NTEXT", maxLength: 4096, nullable: false, comment: "过滤条件组"),
                    IsLocked = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否锁定"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间"),
                    UpdatedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "更新时间"),
                    DataVersion = table.Column<long>(type: "INTEGER", nullable: false, comment: "数据版本")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_AUZ_EntityUser", x => x.Id);
                    table.ForeignKey(
                        name: "FK_EntityUser_EntityId",
                        column: x => x.EntityId,
                        principalTable: "MICRO_AUZ_EntityInfo",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_EntityUser_UserId",
                        column: x => x.UserId,
                        principalTable: "MICRO_IDT_User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "数据用户信息");

            migrationBuilder.CreateTable(
                name: "MICRO_AUZ_ModuleUser",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    ModuleId = table.Column<long>(type: "INTEGER", nullable: false, comment: "模块编号"),
                    UserId = table.Column<long>(type: "INTEGER", nullable: false, comment: "用户编号"),
                    Disabled = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否禁用"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_AUZ_ModuleUser", x => x.Id);
                    table.ForeignKey(
                        name: "FK_ModuleUser_ModuleId",
                        column: x => x.ModuleId,
                        principalTable: "MICRO_AUZ_Module",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_ModuleUser_UserId",
                        column: x => x.UserId,
                        principalTable: "MICRO_IDT_User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "用户模块信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_LoginLog",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    Ip = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "登录IP"),
                    UserAgent = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "用户代理"),
                    LogoutTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "退出时间"),
                    UserId = table.Column<long>(type: "INTEGER", nullable: false, comment: "用户编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_LoginLog", x => x.Id);
                    table.ForeignKey(
                        name: "FK_LoginLog_UserId",
                        column: x => x.UserId,
                        principalTable: "MICRO_IDT_User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "用户登录日志");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_UserClaim",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    UserId = table.Column<long>(type: "INTEGER", nullable: false, comment: "用户编号"),
                    ClaimType = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "声明类型"),
                    ClaimValue = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "声明值"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_UserClaim", x => x.Id);
                    table.ForeignKey(
                        name: "FK_UserClaim_UserId",
                        column: x => x.UserId,
                        principalTable: "MICRO_IDT_User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "用户声明信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_UserDetail",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    UserId = table.Column<long>(type: "INTEGER", nullable: false, comment: "用户编号"),
                    RegisterIp = table.Column<string>(type: "NVARCHAR(128)", maxLength: 128, nullable: false, comment: "注册IP"),
                    RegisterType = table.Column<int>(type: "INTEGER", nullable: false, comment: "注册类型（用户注册类型：[1]电子邮箱；[2]手机号码；[3]二者皆有；[4]二者皆无）"),
                    Gender = table.Column<int>(type: "INTEGER", nullable: false, comment: "性别（性别：[0]未知；[1]男；[2]女）"),
                    Birthday = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "生日"),
                    BloodType = table.Column<string>(type: "NVARCHAR(64)", maxLength: 64, nullable: false, comment: "血型"),
                    Tag = table.Column<string>(type: "NVARCHAR(1024)", maxLength: 1024, nullable: false, comment: "标签"),
                    Title = table.Column<string>(type: "NVARCHAR(1024)", maxLength: 1024, nullable: false, comment: "头衔"),
                    Address = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "地址"),
                    Profile = table.Column<string>(type: "NVARCHAR(1024)", maxLength: 1024, nullable: false, comment: "简介"),
                    Sign = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: false, comment: "个性签名"),
                    Remark = table.Column<string>(type: "NVARCHAR(2048)", maxLength: 2048, nullable: false, comment: "备注")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_UserDetail", x => x.Id);
                    table.ForeignKey(
                        name: "FK_UserDetail_UserId",
                        column: x => x.UserId,
                        principalTable: "MICRO_IDT_User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "用户详细信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_UserLogin",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    UserId = table.Column<long>(type: "INTEGER", nullable: false, comment: "用户编号"),
                    LoginProvider = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "登录提供程序"),
                    ProviderKey = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "登录唯一标识"),
                    DisplayName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "显示名称"),
                    Avatar = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: false, comment: "头像"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_UserLogin", x => x.Id);
                    table.ForeignKey(
                        name: "FK_UserLogin_UserId",
                        column: x => x.UserId,
                        principalTable: "MICRO_IDT_User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "用户登录信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_UserOrganization",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    UserId = table.Column<long>(type: "INTEGER", nullable: false, comment: "用户编号"),
                    OrganizationId = table.Column<long>(type: "INTEGER", nullable: false, comment: "组织机构编号"),
                    Administrator = table.Column<bool>(type: "INTEGER", nullable: false, comment: "机构管理员"),
                    Leader = table.Column<bool>(type: "INTEGER", nullable: false, comment: "机构经理"),
                    IsLocked = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否锁定"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_UserOrganization", x => x.Id);
                    table.ForeignKey(
                        name: "FK_UserOrganization_OrganizationId",
                        column: x => x.OrganizationId,
                        principalTable: "MICRO_IDT_Organization",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_UserOrganization_UserId",
                        column: x => x.UserId,
                        principalTable: "MICRO_IDT_User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "用户组织机构信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_UserPortfolio",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    UserId = table.Column<long>(type: "INTEGER", nullable: false, comment: "用户编号"),
                    Avatar = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: false, comment: "电子头像"),
                    Signature = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: false, comment: "电子签名")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_UserPortfolio", x => x.Id);
                    table.ForeignKey(
                        name: "FK_UserPortfolio_UserId",
                        column: x => x.UserId,
                        principalTable: "MICRO_IDT_User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "用户证照");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_UserRole",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    UserId = table.Column<long>(type: "INTEGER", nullable: false, comment: "用户编号"),
                    RoleId = table.Column<long>(type: "INTEGER", nullable: false, comment: "角色编号"),
                    IsLocked = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否锁定"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_UserRole", x => x.Id);
                    table.ForeignKey(
                        name: "FK_UserRole_RoleId",
                        column: x => x.RoleId,
                        principalTable: "MICRO_IDT_Role",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_UserRole_UserId",
                        column: x => x.UserId,
                        principalTable: "MICRO_IDT_User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "用户角色信息");

            migrationBuilder.CreateTable(
                name: "MICRO_IDT_UserToken",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    UserId = table.Column<long>(type: "INTEGER", nullable: false, comment: "用户编号"),
                    LoginProvider = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "登录提供者"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "令牌名称"),
                    Value = table.Column<string>(type: "NTEXT", maxLength: 4096, nullable: false, comment: "令牌值"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_IDT_UserToken", x => x.Id);
                    table.ForeignKey(
                        name: "FK_UserToken_UserId",
                        column: x => x.UserId,
                        principalTable: "MICRO_IDT_User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "用户的身份认证令牌");

            migrationBuilder.CreateTable(
                name: "MICRO_MSG_MessageReceiver",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    MessageId = table.Column<long>(type: "INTEGER", nullable: false, comment: "消息编号"),
                    ReceiverId = table.Column<long>(type: "INTEGER", nullable: false, comment: "接收者编号"),
                    SendWays = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "发送方式：1-Internal(内部消息)、2-Email(邮件消息)、99-OAuth2(第三方平台消息)"),
                    LastReadTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "阅读时间"),
                    LastReadWay = table.Column<int>(type: "INTEGER", nullable: true, comment: "阅读方式"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_MSG_MessageReceiver", x => x.Id);
                    table.ForeignKey(
                        name: "FK_MessageReceiver_MessageId",
                        column: x => x.MessageId,
                        principalTable: "MICRO_MSG_Message",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_MessageReceiver_ReceiverId",
                        column: x => x.ReceiverId,
                        principalTable: "MICRO_IDT_User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "消息接收者");

            migrationBuilder.CreateTable(
                name: "MICRO_SYS_DictEntry",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    DictId = table.Column<Guid>(type: "TEXT", maxLength: 128, nullable: false, comment: "字典编码"),
                    CodeName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "编码名称"),
                    CodeValue = table.Column<int>(type: "INTEGER", nullable: false, comment: "编码值"),
                    Remark = table.Column<string>(type: "NVARCHAR(2048)", maxLength: 2048, nullable: true, comment: "备注"),
                    OrderNo = table.Column<int>(type: "INTEGER", nullable: false, comment: "排序号"),
                    IsLocked = table.Column<bool>(type: "INTEGER", nullable: false, comment: "是否锁定"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间"),
                    UpdatedTime = table.Column<DateTime>(type: "TEXT", nullable: true, comment: "更新时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_SYS_DictEntry", x => x.Id);
                    table.ForeignKey(
                        name: "FK_DictEntry_DictId",
                        column: x => x.DictId,
                        principalTable: "MICRO_SYS_Dict",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "字典项");

            migrationBuilder.CreateTable(
                name: "VINNO_WMS_IPN",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    MaterialCategoryId = table.Column<Guid>(type: "TEXT", nullable: false, comment: "MaterialCategoryId"),
                    Status = table.Column<int>(type: "INTEGER", nullable: false, comment: "Status（Vinno.WMS.Pack.Data.Status：[0]待申请；[1]研发审批中；[2]IPN审批中；[3]申请结束）"),
                    IpnNo = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: true, comment: "IpnNo"),
                    Name = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "Name"),
                    Unit = table.Column<int>(type: "INTEGER", nullable: false, comment: "Unit"),
                    Description = table.Column<string>(type: "TEXT", maxLength: 512, nullable: true, comment: "Description"),
                    Manufacturer = table.Column<string>(type: "NVARCHAR(2048)", maxLength: 2048, nullable: true, comment: "Manufacturer"),
                    StockAttributes = table.Column<string>(type: "TEXT", maxLength: 512, nullable: false, comment: "StockAttributes"),
                    Project = table.Column<int>(type: "INTEGER", nullable: false, comment: "Project"),
                    Remark = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: true, comment: "Remark"),
                    CreatorId = table.Column<long>(type: "INTEGER", nullable: true, comment: "创建者编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_IPN", x => x.Id);
                    table.ForeignKey(
                        name: "FK_VINNO_WMS_IPN_VINNO_WMS_MaterialCategory_MaterialCategoryId",
                        column: x => x.MaterialCategoryId,
                        principalTable: "VINNO_WMS_MaterialCategory",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "IPN信息");

            migrationBuilder.CreateTable(
                name: "VINNO_WMS_WareHouseArea",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    AreaName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "库区名称"),
                    AreaType = table.Column<int>(type: "INTEGER", nullable: false, comment: "库区类型（Vinno.WMS.Pack.Data.WareHouseAreaType：[0]电子物料；[1]机构物料；[2]开发板；[3]竞品；[4]仪器；[5]工具；[6]办公用品）"),
                    WareHouseId = table.Column<Guid>(type: "TEXT", nullable: false, comment: "关联仓库")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_WareHouseArea", x => x.Id);
                    table.ForeignKey(
                        name: "FK_WareHouseArea_WareHouseId",
                        column: x => x.WareHouseId,
                        principalTable: "VINNO_WMS_WareHouse",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "库区信息");

            migrationBuilder.CreateTable(
                name: "MICRO_AUD_AuditProperty",
                columns: table => new
                {
                    Id = table.Column<long>(type: "INTEGER", nullable: false, comment: "编号"),
                    DisplayName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "显示名称"),
                    FieldName = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "字段"),
                    OriginalValue = table.Column<string>(type: "NTEXT", maxLength: 4096, nullable: false, comment: "旧值"),
                    NewValue = table.Column<string>(type: "NTEXT", maxLength: 4096, nullable: false, comment: "新值"),
                    DataType = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: false, comment: "数据类型"),
                    AuditEntityId = table.Column<long>(type: "INTEGER", nullable: false, comment: "所属审计实体编号")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_MICRO_AUD_AuditProperty", x => x.Id);
                    table.ForeignKey(
                        name: "FK_AuditProperty_AuditEntityId",
                        column: x => x.AuditEntityId,
                        principalTable: "MICRO_AUD_AuditEntity",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "审计实体属性信息");

            migrationBuilder.CreateTable(
                name: "VINNO_WMS_WareHouseAreaPos",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    AreaPosName = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: true, comment: "库位名称"),
                    StorageNo = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: true, comment: "货架号"),
                    LevelNo = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: true, comment: "层号"),
                    PosNo = table.Column<string>(type: "NVARCHAR(256)", maxLength: 256, nullable: true, comment: "位号"),
                    WareHouseAreaId = table.Column<Guid>(type: "TEXT", nullable: false, comment: "关联库区")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_WareHouseAreaPos", x => x.Id);
                    table.ForeignKey(
                        name: "FK_WareHouseAreaPos_WareHouseAreaId",
                        column: x => x.WareHouseAreaId,
                        principalTable: "VINNO_WMS_WareHouseArea",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "库位信息");

            migrationBuilder.CreateTable(
                name: "VINNO_WMS_Material",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    WareHouseId = table.Column<Guid>(type: "TEXT", nullable: false, comment: "WareHouseId"),
                    WareHouseAreaId = table.Column<Guid>(type: "TEXT", nullable: false, comment: "WareHouseAreaId"),
                    WareHouseAreaPosId = table.Column<Guid>(type: "TEXT", nullable: false, comment: "WareHouseAreaPosId"),
                    IPNId = table.Column<Guid>(type: "TEXT", nullable: false, comment: "IPNId"),
                    Num = table.Column<decimal>(type: "TEXT", precision: 22, scale: 10, nullable: false, comment: "Num")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_Material", x => x.Id);
                    table.ForeignKey(
                        name: "FK_Material_WareHouseAreaId",
                        column: x => x.WareHouseAreaId,
                        principalTable: "VINNO_WMS_WareHouseArea",
                        principalColumn: "Id");
                    table.ForeignKey(
                        name: "FK_Material_WareHouseAreaPosId",
                        column: x => x.WareHouseAreaPosId,
                        principalTable: "VINNO_WMS_WareHouseAreaPos",
                        principalColumn: "Id");
                    table.ForeignKey(
                        name: "FK_Material_WareHouseId",
                        column: x => x.WareHouseId,
                        principalTable: "VINNO_WMS_WareHouse",
                        principalColumn: "Id");
                    table.ForeignKey(
                        name: "FK_VINNO_WMS_Material_VINNO_WMS_IPN_IPNId",
                        column: x => x.IPNId,
                        principalTable: "VINNO_WMS_IPN",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "物料信息");

            migrationBuilder.CreateTable(
                name: "VINNO_WMS_MaterialInStorage",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    MaterialId = table.Column<Guid>(type: "TEXT", nullable: false, comment: "MaterialId"),
                    Project = table.Column<int>(type: "INTEGER", nullable: false, comment: "Project"),
                    Num = table.Column<decimal>(type: "TEXT", precision: 22, scale: 10, nullable: false, comment: "Num"),
                    OrderNo = table.Column<string>(type: "NVARCHAR(512)", maxLength: 512, nullable: false, comment: "OrderNo"),
                    Remark = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: true, comment: "Remark"),
                    HandleStatus = table.Column<int>(type: "INTEGER", nullable: false, comment: "HandleStatus（Vinno.WMS.Pack.Data.HandleStatus：[0]未办理；[1]已办理）"),
                    CreatorId = table.Column<long>(type: "INTEGER", nullable: true, comment: "创建者编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_MaterialInStorage", x => x.Id);
                    table.ForeignKey(
                        name: "FK_MaterialInStorage_MaterialId",
                        column: x => x.MaterialId,
                        principalTable: "VINNO_WMS_Material",
                        principalColumn: "Id");
                },
                comment: "物料入库");

            migrationBuilder.CreateTable(
                name: "VINNO_WMS_MaterialOutStorage",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "TEXT", nullable: false, comment: "编号"),
                    MaterialId = table.Column<Guid>(type: "TEXT", nullable: false, comment: "MaterialId"),
                    Num = table.Column<decimal>(type: "TEXT", precision: 22, scale: 10, nullable: false, comment: "Num"),
                    UseTarget = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: true, comment: "UseTarget"),
                    Project = table.Column<int>(type: "INTEGER", nullable: false, comment: "Project"),
                    Remark = table.Column<string>(type: "NTEXT", maxLength: 2147483647, nullable: true, comment: "Remark"),
                    Status = table.Column<int>(type: "INTEGER", nullable: false, comment: "Status（Vinno.WMS.Pack.Data.OutStorgeStatus：[0]出库申请中；[1]出库研发审批中；[2]出库申请完成）"),
                    CreatorId = table.Column<long>(type: "INTEGER", nullable: true, comment: "创建者编号"),
                    CreatedTime = table.Column<DateTime>(type: "TEXT", nullable: false, comment: "创建时间")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_VINNO_WMS_MaterialOutStorage", x => x.Id);
                    table.ForeignKey(
                        name: "FK_MaterialOutStorage_MaterialId",
                        column: x => x.MaterialId,
                        principalTable: "VINNO_WMS_Material",
                        principalColumn: "Id");
                },
                comment: "物料出库");

            migrationBuilder.CreateIndex(
                name: "IX_AuditEntity_OperationId",
                table: "MICRO_AUD_AuditEntity",
                column: "OperationId");

            migrationBuilder.CreateIndex(
                name: "IX_AuditOperation_CreatedTime",
                table: "MICRO_AUD_AuditOperation",
                column: "CreatedTime");

            migrationBuilder.CreateIndex(
                name: "IX_AuditOperation_FunctionName",
                table: "MICRO_AUD_AuditOperation",
                column: "FunctionName");

            migrationBuilder.CreateIndex(
                name: "IX_AuditOperation_ResultType",
                table: "MICRO_AUD_AuditOperation",
                column: "ResultType");

            migrationBuilder.CreateIndex(
                name: "IX_AuditProperty_AuditEntityId",
                table: "MICRO_AUD_AuditProperty",
                column: "AuditEntityId");

            migrationBuilder.CreateIndex(
                name: "IDX_EntityInfo_TypeName",
                table: "MICRO_AUZ_EntityInfo",
                column: "TypeName",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_EntityInfo_AuditEnabled",
                table: "MICRO_AUZ_EntityInfo",
                column: "AuditEnabled");

            migrationBuilder.CreateIndex(
                name: "IX_EntityInfo_Name",
                table: "MICRO_AUZ_EntityInfo",
                column: "Name");

            migrationBuilder.CreateIndex(
                name: "IX_EntityInfo_SchemaMapping",
                table: "MICRO_AUZ_EntityInfo",
                columns: new[] { "DbSchema", "DbObjName" });

            migrationBuilder.CreateIndex(
                name: "IDX_EntityRole_EntityRoleOperation",
                table: "MICRO_AUZ_EntityRole",
                columns: new[] { "EntityId", "RoleId", "Operation" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_AUZ_EntityRole_RoleId",
                table: "MICRO_AUZ_EntityRole",
                column: "RoleId");

            migrationBuilder.CreateIndex(
                name: "IDX_EntityUser_EntityUserOperation",
                table: "MICRO_AUZ_EntityUser",
                columns: new[] { "EntityId", "UserId", "Operation" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_AUZ_EntityUser_UserId",
                table: "MICRO_AUZ_EntityUser",
                column: "UserId");

            migrationBuilder.CreateIndex(
                name: "IDX_Function_AreaControllerAction",
                table: "MICRO_AUZ_Function",
                columns: new[] { "Area", "Controller", "Action" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_Module_Code",
                table: "MICRO_AUZ_Module",
                columns: new[] { "ParentId", "Code" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_Module_Name",
                table: "MICRO_AUZ_Module",
                columns: new[] { "ParentId", "Name" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_ModuleFunction_ModuleFunctionId",
                table: "MICRO_AUZ_ModuleFunction",
                columns: new[] { "ModuleId", "FunctionId" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_AUZ_ModuleFunction_FunctionId",
                table: "MICRO_AUZ_ModuleFunction",
                column: "FunctionId");

            migrationBuilder.CreateIndex(
                name: "IDX_ModuleRole_ModuleRoleId",
                table: "MICRO_AUZ_ModuleRole",
                columns: new[] { "ModuleId", "RoleId" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_AUZ_ModuleRole_RoleId",
                table: "MICRO_AUZ_ModuleRole",
                column: "RoleId");

            migrationBuilder.CreateIndex(
                name: "IDX_ModuleUser_ModuleUserId",
                table: "MICRO_AUZ_ModuleUser",
                columns: new[] { "ModuleId", "UserId" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_AUZ_ModuleUser_UserId",
                table: "MICRO_AUZ_ModuleUser",
                column: "UserId");

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_IDT_LoginLog_UserId",
                table: "MICRO_IDT_LoginLog",
                column: "UserId");

            migrationBuilder.CreateIndex(
                name: "IDX_Organization_Name",
                table: "MICRO_IDT_Organization",
                columns: new[] { "Name", "ParentId", "DeletedTime" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_Organization_ParentId",
                table: "MICRO_IDT_Organization",
                column: "ParentId");

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_IDT_OrganizationClaim_OrganizationId",
                table: "MICRO_IDT_OrganizationClaim",
                column: "OrganizationId");

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_IDT_OrganizationDetail_OrganizationId",
                table: "MICRO_IDT_OrganizationDetail",
                column: "OrganizationId",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_IDT_OrganizationPortfolio_OrganizationId",
                table: "MICRO_IDT_OrganizationPortfolio",
                column: "OrganizationId",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_Role_NormalizedName",
                table: "MICRO_IDT_Role",
                columns: new[] { "NormalizedName", "DeletedTime" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_IDT_RoleClaim_RoleId",
                table: "MICRO_IDT_RoleClaim",
                column: "RoleId");

            migrationBuilder.CreateIndex(
                name: "IDX_RoleOrganization_RoleOrganizationId",
                table: "MICRO_IDT_RoleOrganization",
                columns: new[] { "RoleId", "OrganizationId" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_IDT_RoleOrganization_OrganizationId",
                table: "MICRO_IDT_RoleOrganization",
                column: "OrganizationId");

            migrationBuilder.CreateIndex(
                name: "IDX_User_Email",
                table: "MICRO_IDT_User",
                columns: new[] { "UserName", "Email", "DeletedTime" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_User_PhoneNumber",
                table: "MICRO_IDT_User",
                columns: new[] { "UserName", "PhoneNumber", "DeletedTime" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_User_UserName",
                table: "MICRO_IDT_User",
                columns: new[] { "UserName", "DeletedTime" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_User_NickName",
                table: "MICRO_IDT_User",
                column: "NickName");

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_IDT_UserClaim_UserId",
                table: "MICRO_IDT_UserClaim",
                column: "UserId");

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_IDT_UserDetail_UserId",
                table: "MICRO_IDT_UserDetail",
                column: "UserId",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_UserLogin_Provider",
                table: "MICRO_IDT_UserLogin",
                columns: new[] { "LoginProvider", "ProviderKey" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_IDT_UserLogin_UserId",
                table: "MICRO_IDT_UserLogin",
                column: "UserId");

            migrationBuilder.CreateIndex(
                name: "IDX_UserOrganization_Ids",
                table: "MICRO_IDT_UserOrganization",
                columns: new[] { "UserId", "OrganizationId" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_IDT_UserOrganization_OrganizationId",
                table: "MICRO_IDT_UserOrganization",
                column: "OrganizationId");

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_IDT_UserPortfolio_UserId",
                table: "MICRO_IDT_UserPortfolio",
                column: "UserId",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_UserRole_Ids",
                table: "MICRO_IDT_UserRole",
                columns: new[] { "UserId", "RoleId" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_IDT_UserRole_RoleId",
                table: "MICRO_IDT_UserRole",
                column: "RoleId");

            migrationBuilder.CreateIndex(
                name: "IDX_UserToken_Token",
                table: "MICRO_IDT_UserToken",
                columns: new[] { "UserId", "LoginProvider", "Name" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_Message_BaseTypeId",
                table: "MICRO_MSG_Message",
                columns: new[] { "BaseType", "BaseId" });

            migrationBuilder.CreateIndex(
                name: "IX_Message_IsSent",
                table: "MICRO_MSG_Message",
                column: "IsSent");

            migrationBuilder.CreateIndex(
                name: "IX_Message_Method",
                table: "MICRO_MSG_Message",
                column: "Method");

            migrationBuilder.CreateIndex(
                name: "IX_Message_SenderId",
                table: "MICRO_MSG_Message",
                column: "SenderId");

            migrationBuilder.CreateIndex(
                name: "IDX_MessageReceiver_MessageReceiverId",
                table: "MICRO_MSG_MessageReceiver",
                columns: new[] { "MessageId", "ReceiverId" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MessageReceiver_LastReadTime",
                table: "MICRO_MSG_MessageReceiver",
                column: "LastReadTime");

            migrationBuilder.CreateIndex(
                name: "IX_MICRO_MSG_MessageReceiver_ReceiverId",
                table: "MICRO_MSG_MessageReceiver",
                column: "ReceiverId");

            migrationBuilder.CreateIndex(
                name: "IX_QueryMessage_Method",
                table: "MICRO_MSG_QueryMessage",
                column: "Method");

            migrationBuilder.CreateIndex(
                name: "IX_TemplateMessage_Method",
                table: "MICRO_MSG_TemplateMessage",
                column: "Method");

            migrationBuilder.CreateIndex(
                name: "IX_VerifyCode_PhoneBiz",
                table: "MICRO_SMS_VerifyCode",
                columns: new[] { "PhoneNumber", "Provider", "BizId", "VerifyCode", "Verified" });

            migrationBuilder.CreateIndex(
                name: "IX_VerifyCode_SendDate",
                table: "MICRO_SMS_VerifyCode",
                column: "SendDate");

            migrationBuilder.CreateIndex(
                name: "IDX_Dict_Code",
                table: "MICRO_SYS_Dict",
                column: "Code",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_DictEntry_DictIdCodeValue",
                table: "MICRO_SYS_DictEntry",
                columns: new[] { "DictId", "CodeValue" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_File_FileExtension",
                table: "MICRO_SYS_File",
                column: "FileExtension");

            migrationBuilder.CreateIndex(
                name: "IX_File_FileName",
                table: "MICRO_SYS_File",
                column: "FileName");

            migrationBuilder.CreateIndex(
                name: "IX_File_HashMD5",
                table: "MICRO_SYS_File",
                columns: new[] { "SHA1", "MD5" });

            migrationBuilder.CreateIndex(
                name: "IX_FileActionRecord_ActionType",
                table: "MICRO_SYS_FileActionRecord",
                column: "ActionType");

            migrationBuilder.CreateIndex(
                name: "IX_FileActionRecord_FileId",
                table: "MICRO_SYS_FileActionRecord",
                column: "FileId");

            migrationBuilder.CreateIndex(
                name: "IX_FileSaveRecord_FileId",
                table: "MICRO_SYS_FileSaveRecord",
                column: "FileId");

            migrationBuilder.CreateIndex(
                name: "IX_FileSaveRecord_HashMD5",
                table: "MICRO_SYS_FileSaveRecord",
                columns: new[] { "SHA1", "MD5" });

            migrationBuilder.CreateIndex(
                name: "IDX_KeyValue_Key",
                table: "MICRO_SYS_KeyValue",
                column: "Key",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_IPN_IpnNo",
                table: "VINNO_WMS_IPN",
                column: "IpnNo",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_IPN_Name",
                table: "VINNO_WMS_IPN",
                column: "Name",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_VINNO_WMS_IPN_MaterialCategoryId",
                table: "VINNO_WMS_IPN",
                column: "MaterialCategoryId");

            migrationBuilder.CreateIndex(
                name: "IDX_Material_WareHouseAreaPosIPNId",
                table: "VINNO_WMS_Material",
                columns: new[] { "WareHouseId", "WareHouseAreaId", "WareHouseAreaPosId", "IPNId" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_Material_WareHouseAreaPosId",
                table: "VINNO_WMS_Material",
                columns: new[] { "WareHouseId", "WareHouseAreaId", "WareHouseAreaPosId" });

            migrationBuilder.CreateIndex(
                name: "IX_VINNO_WMS_Material_IPNId",
                table: "VINNO_WMS_Material",
                column: "IPNId");

            migrationBuilder.CreateIndex(
                name: "IX_VINNO_WMS_Material_WareHouseAreaId",
                table: "VINNO_WMS_Material",
                column: "WareHouseAreaId");

            migrationBuilder.CreateIndex(
                name: "IX_VINNO_WMS_Material_WareHouseAreaPosId",
                table: "VINNO_WMS_Material",
                column: "WareHouseAreaPosId");

            migrationBuilder.CreateIndex(
                name: "IDX_MaterialCategory_Name",
                table: "VINNO_WMS_MaterialCategory",
                columns: new[] { "Name", "ParentId" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_MaterialCategory_ParentId",
                table: "VINNO_WMS_MaterialCategory",
                column: "ParentId");

            migrationBuilder.CreateIndex(
                name: "IX_VINNO_WMS_MaterialInStorage_MaterialId",
                table: "VINNO_WMS_MaterialInStorage",
                column: "MaterialId");

            migrationBuilder.CreateIndex(
                name: "IX_VINNO_WMS_MaterialOutStorage_MaterialId",
                table: "VINNO_WMS_MaterialOutStorage",
                column: "MaterialId");

            migrationBuilder.CreateIndex(
                name: "IDX_WareHouse_Name",
                table: "VINNO_WMS_WareHouse",
                column: "Name",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_WareHouseArea_WareHouseAreaName",
                table: "VINNO_WMS_WareHouseArea",
                columns: new[] { "WareHouseId", "AreaName" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IDX_WareHouseAreaPos_WareHouseAreaPosName",
                table: "VINNO_WMS_WareHouseAreaPos",
                columns: new[] { "WareHouseAreaId", "AreaPosName" },
                unique: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "MICRO_AUD_AuditProperty");

            migrationBuilder.DropTable(
                name: "MICRO_AUZ_EntityRole");

            migrationBuilder.DropTable(
                name: "MICRO_AUZ_EntityUser");

            migrationBuilder.DropTable(
                name: "MICRO_AUZ_ModuleFunction");

            migrationBuilder.DropTable(
                name: "MICRO_AUZ_ModuleRole");

            migrationBuilder.DropTable(
                name: "MICRO_AUZ_ModuleUser");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_LoginLog");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_OrganizationClaim");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_OrganizationDetail");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_OrganizationPortfolio");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_RoleClaim");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_RoleOrganization");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_UserClaim");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_UserDetail");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_UserLogin");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_UserOrganization");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_UserPortfolio");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_UserRole");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_UserToken");

            migrationBuilder.DropTable(
                name: "MICRO_MSG_MessageReceiver");

            migrationBuilder.DropTable(
                name: "MICRO_MSG_QueryMessage");

            migrationBuilder.DropTable(
                name: "MICRO_MSG_TemplateMessage");

            migrationBuilder.DropTable(
                name: "MICRO_SMS_VerifyCode");

            migrationBuilder.DropTable(
                name: "MICRO_SYS_DictEntry");

            migrationBuilder.DropTable(
                name: "MICRO_SYS_File");

            migrationBuilder.DropTable(
                name: "MICRO_SYS_FileActionRecord");

            migrationBuilder.DropTable(
                name: "MICRO_SYS_FileSaveRecord");

            migrationBuilder.DropTable(
                name: "MICRO_SYS_KeyValue");

            migrationBuilder.DropTable(
                name: "VINNO_WMS_MaterialInStorage");

            migrationBuilder.DropTable(
                name: "VINNO_WMS_MaterialOutStorage");

            migrationBuilder.DropTable(
                name: "MICRO_AUD_AuditEntity");

            migrationBuilder.DropTable(
                name: "MICRO_AUZ_EntityInfo");

            migrationBuilder.DropTable(
                name: "MICRO_AUZ_Function");

            migrationBuilder.DropTable(
                name: "MICRO_AUZ_Module");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_Organization");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_Role");

            migrationBuilder.DropTable(
                name: "MICRO_MSG_Message");

            migrationBuilder.DropTable(
                name: "MICRO_IDT_User");

            migrationBuilder.DropTable(
                name: "MICRO_SYS_Dict");

            migrationBuilder.DropTable(
                name: "VINNO_WMS_Material");

            migrationBuilder.DropTable(
                name: "MICRO_AUD_AuditOperation");

            migrationBuilder.DropTable(
                name: "VINNO_WMS_WareHouseAreaPos");

            migrationBuilder.DropTable(
                name: "VINNO_WMS_IPN");

            migrationBuilder.DropTable(
                name: "VINNO_WMS_WareHouseArea");

            migrationBuilder.DropTable(
                name: "VINNO_WMS_MaterialCategory");

            migrationBuilder.DropTable(
                name: "VINNO_WMS_WareHouse");
        }
    }
}
