using MicroCloud.Extensions;
using Vinno.WMS.Pack.Core;

namespace Vinno.WMS.Service;
/// <summary>
/// 
/// </summary>
public class Startup
{
    /// <summary>
    /// ÷񣬴˷ʱáʹô˷ɽӵС
    /// </summary>
    /// <param name="services">ָϵЭ</param>
    public void ConfigureServices(IServiceCollection services)
    {
        services.BuildMicroCloud()
            .AddPack<Log4NetPack>()
            .AddPack<AutoMapperPack>()
            .AddPack<SignalRPack>()
            .AddPack<EndpointsPack>()
            .AddPack<MiniProfilerPack>()
            .AddPack<SwaggerPack>()
            .AddPack<DefaultDbContextMigrationPack>()
            .AddPack<AuthenticationPack>()
            .AddPack<FunctionAuthorizationPack>()
            .AddPack<DataAuthorizationPack>()
            .AddPack<AuditPack>()
            .AddPack<DictPack>()
            .AddPack<FilePack>()
            .AddPack<MicroCloudMessagePack>()
            .AddPack<WmsPack>();
    }

    /// <summary>
    /// ã˷ʱáʹô˷HTTPܵ
    /// This method gets called by the runtime. Use this method to configure the HTTP request pipeline.
    /// </summary>
    /// <param name="app">HTTPܵ·ɵwebӦó</param>
    public void Configure(WebApplication app)
    {
        // йӦówebϢ
        IWebHostEnvironment env = app.Environment;
        if (env.IsDevelopment())
        {
            app.UseDeveloperExceptionPage();

            app.UseMigrationsEndPoint();
        }
        else
        {
            app.UseExceptionHandler("/Error");
            app.UseHsts();
        }

        app.UseMiddleware<JsonExceptionHandlerMiddleware>() // Ƴ쳣мJsonExceptionHandlerMiddleware쳣ֱӷظǰˣǰ˲׽
            .UseDefaultFiles()// Search default.htm|html,index.htm|index.html
            .UseStaticFiles();// Serve files from wwwroot
                              //.UseDirectoryBrowser();// wwwrootĿ¼        
        app.UseMicroCloud();
    }
}
