import { httpClient } from '/@/utils/http/axios';
import { ErrorMessageMode } from '/#/axios';
import { AuditEntityOutputDto } from './model';
import { PageRequest, PageData } from '/@/utils/common/types';

/** 管理-数据审计信息枚举 */
enum Api {
  /** 读取数据审计信息列表 */
  Read = '/api/admin/auditEntity/read',
}

//#region 读取数据审计信息列表
/**
 * 读取数据审计信息列表
 * @param request 分页请求
 * @param mode 错误消息模型
 */
export function readAuditEntries(request: PageRequest, mode: ErrorMessageMode = 'message') {
  return httpClient.post<PageData<AuditEntityOutputDto>>(
    {
      url: Api.Read,
      params: request,
    },
    {
      errorMessageMode: mode,
    },
  );
}
//#endregion
