import { OperateTypeEnum } from '/@/enums/operateTypeEnum';

/** 输出DTO：数据审计信息 */
export interface AuditEntityOutputDto {
  /** 编号 */
  Id: bigint | string | any;
  /** 实体名称 */
  Name: string;
  /** 类型名称 */
  TypeName: string;
  /** 数据编号 */
  EntityKey: string;
  /** 操作类型 */
  OperateType: OperateTypeEnum;
  /** 用户编号 */
  UserId: string;
  /** 用户名称 */
  UserName: string;
  /** 用户昵称 */
  UserNickname: string;
  /** 所属操作名称 */
  FunctionName: string;
  /** 信息添加时间 */
  CreatedTime: Date;
  /** 实体属性审计信息集合 */
  Properties: AuditPropertyOutputDto[];
}

/** 输出DTO：实体属性审计 */
export interface AuditPropertyOutputDto {
  /** 名称 */
  DisplayName: string;
  /** 字段 */
  FieldName: string;
  /** 旧值 */
  OriginalValue: string;
  /** 新值 */
  NewValue: string;
  /** 数据类型 */
  DataType: string;
}
