import { httpClient } from '/@/utils/http/axios';
import { ErrorMessageMode } from '/#/axios';
import { AuditOperationOutputDto } from './model';
import { PageRequest, PageData } from '/@/utils/common/types';

/** 管理-操作审计信息枚举 */
enum Api {
  /** 读取操作审计信息 */
  Read = '/api/admin/auditOperation/read',
}

//#region 读取操作审计信息
/**
 * 读取操作审计信息
 * @param request 分页请求
 * @param mode 错误消息模型
 */
export function readAuditOperations(request: PageRequest, mode: ErrorMessageMode = 'message') {
  return httpClient.post<PageData<AuditOperationOutputDto>>(
    {
      url: Api.Read,
      params: request,
    },
    {
      errorMessageMode: mode,
    },
  );
}
//#endregion
