import { AjaxResultTypeEnum } from '/@/enums/ajaxResultTypeEnum';

/** 输出DTO：操作审计信息 */
export interface AuditOperationOutputDto {
  /** 编号 */
  Id: string | bigint;
  /** 执行的功能名 */
  FunctionName: string;
  /** 用户编号 */
  UserId: string | bigint;
  /** 用户名称 */
  UserName: string;
  /** 用户昵称 */
  UserNickname: string;
  /** 访问IP */
  Ip: string;
  /** 操作系统 */
  OperationSystem: string;
  /** 浏览器 */
  Browser: string;
  /** HTTP请求方法 */
  Method: string;
  /** HTTP请求内容类型 */
  ContentType: string;
  /** HTTP请求查询字符串 */
  QueryString: string;
  /** HTTP请求参数 */
  Arguments: string;
  /** 操作结果 */
  ResultType: AjaxResultTypeEnum;
  /** 消息 */
  Message: string;
  /** 结果数据 */
  ResultData: string;
  /** 执行耗时，单位毫秒 */
  Elapsed: number;
  /** 信息添加时间 */
  CreatedTime: Date;
}
