import { httpClient } from '/@/utils/http/axios';
import { ErrorMessageMode } from '/#/axios';
import { LoginLogOutputDto } from './model';
import { PageRequest, PageData } from '/@/utils/common/types';

/** 管理-登录日志信息枚举 */
enum Api {
  /** 读取登录日志 */
  Read = '/api/admin/loginLog/read',
}

//#region 读取登录日志
/**
 * 读取登录日志
 * @param request 分页请求
 * @param mode 错误消息模型
 */
export function readLoginLogs(request: PageRequest, mode: ErrorMessageMode = 'message') {
  return httpClient.post<PageData<LoginLogOutputDto>>(
    {
      url: Api.Read,
      params: request,
    },
    {
      errorMessageMode: mode,
    },
  );
}
//#endregion
