import { ReportTypeEnum } from '/@/enums/reportTypeEnum';

//#region 报表参数DTO
/** 报表参数DTO */
export interface ReportArgumentDto {
  /** 参数键，要求唯一，支持 xxx.xxx.xxx 格式 */
  Key: string;
  /** 参数值 */
  Value: any;
}
//#endregion
//#region 报表查询简单DTO
/** 报表查询简单DTO */
export interface ReportQueryDtoSimple {
  /** 模板编号 */
  TemplateId: any;
  /** 打印的键 */
  Key?: string;
  /** 打印的值 */
  Value?: string;
  /** 报表参数集合 */
  Arguments?: ReportArgumentDto[];
}
//#endregion
//#region 报表查询请求DTO
/** 报表查询请求DTO */
export interface ReportQueryRequestDto extends ReportQueryDtoSimple {
  /** 请求的格式（png, pdf, html） */
  RequestFormat: 'html' | 'png' | 'pdf';
}
//#endregion

//#region 报表输出DTO
/** 报表输出DTO */
export interface ReportOutputDto {
  /** 报表编号 */
  ReportId: any;
  /** 报表编码 */
  ReportCode: string;
  /** 报表名称 */
  ReportName: string;
  /** 报表类型 */
  ReportType: ReportTypeEnum;

  /** 报表格式 */
  ReportFormat: any;
  /** 报表数据 */
  ReportData: any;
}
//#endregion
