/** 短信服务提供商 */
export enum SmsProvider {
  /**  阿里云 */
  Aliyun = 1,
  /**  逸峰信盈通 */
  YFXYT = 2,
}

/** 输出DTO：验证码短信记录 */
export interface VerifyCodeOutputDto {
  /** 编号 */
  Id: string | bigint;
  /** 服务提供商 */
  Provider: SmsProvider;
  /** 短信签名名称 */
  SignName: string;
  /** 短信模板ID */
  TemplateCode: string;
  /** 发送回执ID */
  BizId: string;
  /** 请求ID */
  RequestId: string;
  /** 外部流水扩展字段 */
  OutId: string;
  /** 手机号码 */
  PhoneNumber: string;
  /** 发送日期 */
  SendDate: Date;
  /** 接收日期 */
  ReceiveDate: Date;
  /** 有效期分钟数 */
  ExpireMins: number;
  /** 是否已验证 */
  Verified: boolean;
  /** 验证时间 */
  VerifiedTime: Date | null | undefined;
  /** 创建时间 */
  CreatedTime: Date;
}

/** 手机号码DTO */
export interface PhoneDto {
  /** 手机号码 */
  PhoneNumber: string;
}
/** 短信验证码校验DTO */
export interface VerifyCodeCheckDto extends PhoneDto {
  /** 短信验证码 */
  Code?: string;
  /** 短信验证码编号 */
  CodeId?: string;
}
/** 短信验证码确认DTO */
export interface VerifyCodeConfirmDto extends VerifyCodeCheckDto {
  /** 验证成功时是否确认 */
  ConfirmIfSuccess?: string;
}
