import { httpClient } from '/@/utils/http/axios';
import { ErrorMessageMode } from '/#/axios';
import { PackOutputDto } from './model';
import { PageRequest, PageData } from '/@/utils/common/types';

/** 管理-模块包信息枚举 */
enum Api {
  /** 读取模块包列表信息 */
  Read = '/api/admin/pack/read',
}

//#region 读取实体信息
/**
 * 读取实体信息
 * @param request 分页请求
 * @param mode 错误消息模型
 */
export function readPacks(request: PageRequest, mode: ErrorMessageMode = 'message') {
  return httpClient.post<PageData<PackOutputDto>>(
    {
      url: Api.Read,
      params: request,
    },
    {
      errorMessageMode: mode,
    },
  );
}
//#endregion
