import type { Ref } from 'vue';
import type { AdListProps, AdListActionType } from '../types/adList';
import { provide, inject, ComputedRef } from 'vue';

const key = Symbol('basic-table');

type Instance = AdListActionType & {
  wrapRef: Ref<Nullable<HTMLElement>>;
  getBindValues: ComputedRef<Recordable>;
};

type RetInstance = Omit<Instance, 'getBindValues'> & {
  getBindValues: ComputedRef<AdListProps>;
};

export function createListContext(instance: Instance) {
  provide(key, instance);
}

export function useListContext(): RetInstance {
  return inject(key) as RetInstance;
}
