/** 大小（格栅）枚举 */
export enum sizeEnum {
  /** 超小（extra Small），屏幕 < 576px 响应式栅格 */
  XS = 'XS',
  /** 小（small），屏幕 ≥ 576px 响应式栅格 */
  SM = 'SM',
  /** 中等（medium），屏幕 ≥ 768px 响应式栅格 */
  MD = 'MD',
  /** 大（large），屏幕 ≥ 992px 响应式栅格 */
  LG = 'LG',
  /** 超大（extra Large），屏幕 ≥ 1200px 响应式栅格 */
  XL = 'XL',
  /** 超级大（extra extra Large），屏幕 ≥ 1600px 响应式栅格 */
  XXL = 'XXL',
}

/** 屏幕（格栅）枚举 */
export enum screenEnum {
  /** 超小（extra Small），屏幕 < 576px 响应式栅格 */
  XS = 480,
  /** 小（small），屏幕 ≥ 576px 响应式栅格 */
  SM = 576,
  /** 中等（medium），屏幕 ≥ 768px 响应式栅格 */
  MD = 768,
  /** 大（large），屏幕 ≥ 992px 响应式栅格 */
  LG = 992,
  /** 超大（extra Large），屏幕 ≥ 1200px 响应式栅格 */
  XL = 1200,
  /** 超级大（extra extra Large），屏幕 ≥ 1600px 响应式栅格 */
  XXL = 1600,
}

const screenMap = new Map<sizeEnum, number>();

screenMap.set(sizeEnum.XS, screenEnum.XS);
screenMap.set(sizeEnum.SM, screenEnum.SM);
screenMap.set(sizeEnum.MD, screenEnum.MD);
screenMap.set(sizeEnum.LG, screenEnum.LG);
screenMap.set(sizeEnum.XL, screenEnum.XL);
screenMap.set(sizeEnum.XXL, screenEnum.XXL);

export { screenMap };
