/**
 * @description: 异常相关枚举（Exception related enumeration）
 */
export enum ExceptionEnum {
  /** 页面无法访问（page not access） */
  PAGE_NOT_ACCESS = 403,
  /** 找不到页面（page not found） */
  PAGE_NOT_FOUND = 404,
  /** 服务器内部错误（error） */
  ERROR = 500,
  /** 网络错误（net work error） */
  NET_WORK_ERROR = 10000,
  /** 页面上没有数据。事实上，这不是一个例外页（No data on the page. In fact, it is not an exception page） */
  PAGE_NOT_DATA = 10100,
}

/** 错误类型枚举 */
export enum ErrorTypeEnum {
  /** vue */
  VUE = 'vue',
  /** script */
  SCRIPT = 'script',
  /** resource */
  RESOURCE = 'resource',
  /** ajax */
  AJAX = 'ajax',
  /** promise */
  PROMISE = 'promise',
}
