/** 汇率标价方法 */
export enum ExchangeQuotationEnum {
  /** 直接标价法
   * 是以一定单位的外国货币为标准,折合若干单位的本国货币。
   * 就相当于计算购买一定单位外币所应付多少本币，所以也叫应付标价法(GivingQuotation)。
   * 在直接标价法下，外国货币作为基准货币，本国货币作为标价货币；
   * 标价货币（本国货币）数额随着外国货币或本国货币币值的变化而变化。
   * 包括中国在内的世界上绝大多数国家都采用直接标价法。
   */
  DirectQuotation = 1,
  /** 间接标价法
   * 是以一定单位的本国货币为标准，折合若干单位的外国货币。例如,199X年X月X 日纽约外汇市场的外汇行市为(中间价)。
   * 即以本国货币作为基准货币，其数额不变，而标价货币（外国货币）的数额则随本国货币或外国货币值的变化而改变。
   * 英国和美国都是采用间接标价法的国家。
   */
  IndirectQuotation = 2,
}
