/**
 * @description: 菜单类型（menu type）
 */
export enum MenuTypeEnum {
  /** 左侧菜单（left menu） */
  SIDEBAR = 'sidebar',
  /** 混合左侧菜单（mixin left menu） */
  MIX_SIDEBAR = 'mix-sidebar',
  /** 混合菜单（mixin menu） */
  MIX = 'mix',
  /** 顶部菜单（top menu） */
  TOP_MENU = 'top-menu',
}

/** 折叠触发器位置 */
export enum TriggerEnum {
  /** 不显示 */
  NONE = 'NONE',
  /** 菜单底部 */
  FOOTER = 'FOOTER',
  /** 头部 */
  HEADER = 'HEADER',
}

/** 模式 */
export type Mode = 'vertical' | 'vertical-right' | 'horizontal' | 'inline';

/** 菜单模式（menu mode） */
export enum MenuModeEnum {
  /** 垂直 */
  VERTICAL = 'vertical',
  /** 水平 */
  HORIZONTAL = 'horizontal',
  /** 右侧垂直 */
  VERTICAL_RIGHT = 'vertical-right',
  /** 内联 */
  INLINE = 'inline',
}

/** 菜单类型 */
export enum MenuSplitTyeEnum {
  /** 无 */
  NONE,
  /** 顶部 */
  TOP,
  /** 左侧 */
  LEFT,
}

/** 顶部菜单对齐 */
export enum TopMenuAlignEnum {
  /** 中心 */
  CENTER = 'center',
  /** 起始 */
  START = 'start',
  /** 结束 */
  END = 'end',
}

/** 混合边栏触发方式 */
export enum MixSidebarTriggerEnum {
  /** 悬停 */
  HOVER = 'hover',
  /** 单击 */
  CLICK = 'click',
}
