import { EnumSchema } from '/@/utils/common/types';
import { PresetColorEnum } from '/@/enums/colorEnum';
// import { useI18n } from '/@/hooks/web/useI18n';

//#region 报表类型枚举
/** 报表类型枚举 */
export enum ReportTypeEnum {
  /** FastReport */
  FastReport = 1,
}
//#endregion

/** 报表类型实体 */
export class ReportTypeEntity {
  /** 报表类型 */
  ReportType: ReportTypeEnum;
  /** 显示描述 */
  Display: string;
  /** 颜色 */
  Color?: PresetColorEnum | string;

  constructor(reportType: ReportTypeEnum, color?: PresetColorEnum | string) {
    // const { t } = useI18n();
    this.ReportType = reportType;
    this.Color = color;
    switch (reportType) {
      case ReportTypeEnum.FastReport:
        this.Display = 'FastReport';
        // this.Display = t('enum.databaseObjectType.table');
        this.Color = this.Color ? this.Color : PresetColorEnum.Orange;
        break;
    }
  }
}

//#region 获取报表类型枚举架构
/**
 * 获取报表类型枚举架构
 */
export function getReportTypeEnumSchema(enableTag = true): EnumSchema[] {
  const enumSchema: EnumSchema[] = [];
  const entities: ReportTypeEntity[] = [new ReportTypeEntity(ReportTypeEnum.FastReport)];
  entities.forEach((item) => {
    enumSchema.push({
      key: item.ReportType as number,
      label: item.Display,
      value: item.ReportType as number,
      tag: enableTag,
      tagColor: item.Color,
    });
  });
  return enumSchema;
}
//#endregion
