/** 大小名称枚举 */
export enum SizeEnum {
  /** 默认 */
  DEFAULT = 'default',
  /** 小 */
  SMALL = 'small',
  /** 大 */
  LARGE = 'large',
}

/** 大小值枚举 */
export enum SizeNumberEnum {
  /** 默认 */
  DEFAULT = 48,
  /** 小 */
  SMALL = 16,
  /** 大 */
  LARGE = 64,
}

export const sizeMap: Map<SizeEnum, SizeNumberEnum> = (() => {
  const map = new Map<SizeEnum, SizeNumberEnum>();
  map.set(SizeEnum.DEFAULT, SizeNumberEnum.DEFAULT);
  map.set(SizeEnum.SMALL, SizeNumberEnum.SMALL);
  map.set(SizeEnum.LARGE, SizeNumberEnum.LARGE);
  return map;
})();
