export default {
  title: 'Internet of Things',

  gateway: {
    title: 'Gateway',

    setting: {
      title: 'Gateway setting',

      gatewayList: 'Gateway list',

      nameText: 'Gateway name',
      protocolTypeText: 'Protocol type',
      serverText: 'Server',
      portText: 'Port',
      identityText: 'Identity',
      passwordText: 'Password',
      platformTypeText: 'Platform type',
      whitelistText: 'Whitelist',
      blacklistText: 'Blacklist',
      enabledText: 'Enable',
      timeoutText: 'Timeout(s)',
      remarkText: 'Remark',

      clientIdAndIpText: 'Client id or IP address, priority IP address matching.',
    },
    client: {
      title: 'Online client',

      clientList: 'Client list',

      gatewayIdText: 'Gateway id',
      gatewayNameText: 'Gateway name',
      protocolTypeText: 'Protocol type',
      platformTypeText: 'Platform type',
      endpointText: 'Endpoint',
      versionText: 'Version',
      connectedTimeText: 'Connected time',
      lastPacketReceivedTimeText: 'Last packet received time',
      lastPacketSentTimeText: 'Last packet sent time',
      receivedPacketsText: 'Received packets',
      sentPacketsText: 'Sent packets',
      receivedBytesText: 'Received bytes',
      sentBytesText: 'Sent bytes',
      receivedMessagesText: 'Received messages',
      sentMessagesText: 'Sent messages',
      pendingMessagesText: 'Pending messages',
    },
    connectLog: {
      title: 'Connect log',

      connectLogList: 'Connect log list',

      clientIdText: 'Client id',
      endpointText: 'Endpoint',
      ipText: 'Ip',
      identityText: 'Identity',
      succeededText: 'Succeeded',
      statusText: 'Status',
      messageText: 'Message',
      gatewayIdText: 'Gateway id',
      gatewayNameText: 'Gateway name',
    },
  },
  device: {
    title: 'Device',

    deviceList: 'Device list',

    idText: 'Device id',
    nameText: 'Device name',
    descriptionText: 'Description',
    enabledText: 'Enabled',
    updWhnChgText: 'Change upload',
    enforcePeriodText: 'Enforce period(ms)',
    cmdPeriodText: 'Cmd period(ms)',
    orderNumberText: 'Order number',
    dvcGrpIdText: 'Group id',
    dvcGrpNameText: 'Group Name',
    driverIdText: 'Driver id',
    driverNameText: 'Driver Name',
    remarkText: 'Remark',

    group: {
      title: 'Device group',

      groupList: 'Device group list',

      ungroupedText: 'Ungrouped',

      nameText: 'Name',
      descriptionText: 'Description',
      remarkText: 'Remark',
      orderNumberText: 'Order number',
      treePathStringText: 'Tree path',
      parentIdText: 'Parent id',
      levelText: 'Level',
    },
    config: {
      title: 'Device config',

      configList: 'Device config list',

      extractDriverConfigs: 'Extract driver Configs',

      nameText: 'Name',
      descriptionText: 'Description',
      valueText: 'Value',
      validValuesText: 'Valid values',
      orderNumberText: 'Order number',
      remarkText: 'Remark',
    },
    variable: {
      title: 'Device variable',

      variableList: 'Device variable list',

      writeVariable: 'Write variable',
      writeValue: 'Write value',

      nameText: 'Name',
      descriptionText: 'Description',
      readMethodText: 'Read method',
      readAddressText: 'Read address',
      writeMethodText: 'Write method',
      writeAddressText: 'Write address',
      valueTypeText: 'Value type',
      valueNormalText: 'Value normal',
      endianText: 'Endian',
      expressionText: 'Expression',
      uploadText: 'Upload',
      permissionTypeText: 'Permission type',
      orderNumberText: 'Order number',
      remarkText: 'Remark',

      statusText: 'Status',
      messageText: 'Message',
      valueText: 'Value',
      cookedValueText: 'Cooked value',
      timestampText: 'Timestamp',
      alarmStatusText: 'Alarm status',
    },
  },
  driver: {
    title: 'Driver',

    driverList: 'Driver list',

    downloadPackage: 'Download package',
    setPackage: 'Set package',
    updateSimple: 'Update simple',

    nameText: 'Name',
    descriptionText: 'Description',
    startupFileText: 'Startup file',
    startupClassText: 'Startup class',
    packagePathText: 'Package path',
    enabledText: 'Enabled',
    remarkText: 'Remark',

    package: {
      title: 'Driver package',

      driverIdText: 'Driver id',
      nameText: 'Name',
      contentText: 'Content',
      descriptionText: 'Description',
      remarkText: 'Remark',

      uploadHelpText:
        'Only Zip format compressed packages are supported and cannot be compressed based on folders.',
    },
  },
  rpcLog: {
    title: 'RPC log',

    rpcLogList: 'RPC log list',

    requestSideText: 'Request side',
    requestIdText: 'Request id',
    clientIdText: 'Client id',
    methodText: 'Method',
    argumentsText: 'Arguments',
    succeededText: 'Succeeded',
    messageText: 'Message',
    resultText: 'Result',
    createdTimeText: 'Created time',
    endedTimeText: 'Ended time',
    elapsedText: 'Elapsed(ms)',
    deviceIdText: 'Device id',
    deviceNameText: 'Device name',
  },
};
