export default {
  moduleName: 'System management',

  preference: {
    title: 'Preferences',
    uploadLogoText: 'Upload LOGO',
    resetLogoText: 'Reset LOGO',
    appTitleText: 'Site Title',
    appDescriptionText: 'Site Description',
    appSubdescriptionText: 'Site Subdescription',

    application: {
      title: 'Application Settings',
    },
  },
  menu: {
    title: 'Menu management',
  },
  pack: {
    title: 'Package',

    packList: 'Package list',

    nameTitle: 'Name',
    displayTitle: 'Display name',
    classTitle: 'Class',
    levelTitle: 'Level',
    orderNumberTitle: 'Order number',
    isEnabledTitle: 'Is enabled',
  },
  loginlog: {
    title: 'Login log',

    loginlogList: 'Login log list',

    ipTitle: 'Login ip',
    userAgentTitle: 'User agent',
    logoutTimeTitle: 'Logout time',
    userIdTitle: 'User id',
    userNameTitle: 'User name',
    nickNameTitle: 'Nick name',
  },
  identity: {
    title: 'Identity authentication',

    permissionText: 'Permission',
    viewFunctionText: 'View function',

    user: {
      title: 'User management',

      userList: 'User list',
      addUser: 'Add user',

      userNameTitle: 'User name',
      nickNameTitle: 'Nick name',
      passwordTitle: 'Password',
      emailTitle: 'Email',
      emailConfirmedTitle: 'Email verified',
      phoneNumberTitle: 'Phone number',
      phoneConfirmedTitle: 'Phone verified',
      genderTitle: 'Gender',
      birthdayTitle: 'Birthday',
      bloodTypeTitle: 'Blood type',
      tagTitle: 'Tag',
      userTitleTitle: 'Title',
      addressTitle: 'Address',
      profileTitle: 'Profile',
      signatureTitle: 'Signature',
      chineseBirthdayTitle: 'Chinese birthday',
      ageTitle: 'Age',
      zodiacSignTitle: 'Chinese zodiac',
      starSignTitle: 'Star sign',
      remarkTitle: 'Remark',
      rolesTitle: 'Roles',
      lockoutEnabledTitle: 'Lockout',
      accessFailedCountTitle: 'Login failed count',
      lockoutEndTitle: 'Lockout end',

      userFunctions: 'User functions',
      userFunctionList: 'User function list',
    },
    role: {
      title: 'Role management',

      roleList: 'Role list',
      addRole: 'New role',

      nameTitle: 'Name',
      descriptionTitle: 'Description',
      remarkTitle: 'Remark',
      isAdminTitle: 'Is administrator',
      isDefaultTitle: 'Is default',

      roleFunctions: 'Role functions',
      roleFunctionList: 'Role function list',
    },
    organization: {
      title: 'Organization management',

      organizationList: 'Organization list',

      avatarTitle: 'Logo',
      signatureTitle: 'Signature',
      typeTitle: 'Type',
      nameTitle: 'Name',
      descriptionTitle: 'Description',
      nameFrgnTitle: 'Name (foreign)',
      addressTitle: 'Address',
      addressFrgnTitle: 'Address (foreign)',
      printHeaderTitle: 'Print header',
      printHeaderFrgnTitle: 'Print header (foreign)',
      reptNameTitle: 'Report name',
      reptNameFrgnTitle: 'Report name (foreign)',
      remarkTitle: 'Remark',
      orderNumberTitle: 'Order number',
      treePathStringTitle: 'Tree path',
      parentIdTitle: 'Parent id',
      enableLoginTitle: 'Enable login',
      isDefaultTitle: 'Is default',
      isSystemTitle: 'Is system',
      levelTitle: 'Level',

      frgnTitle: 'Foreign language',

      administratorTitle: 'Administrator',
      leaderTitle: 'Leader',
    },
  },
  authorization: {
    title: 'Authority security',

    functionIdTitle: 'Id',
    functionNameTitle: 'Function',
    functionAreaTitle: 'Area',
    functionControllerTitle: 'Controller',
    functionAccessTypeTitle: 'Access type',

    module: {
      title: 'Module information',

      moduleList: 'Module list',

      nameTitle: 'Module name',
      remarkTitle: 'Remarks',
      codeTitle: 'Module code',
      orderNumberTitle: 'Order number',
      levelTitle: 'Level',

      moduleFunctions: 'Module function',

      moduleFunctionList: 'Module function list',
    },
    function: {
      title: 'Function management',

      functionList: 'Function list',

      nameTitle: 'Name',
      areaTitle: 'Area',
      controllerTitle: 'Controller',
      actionTitle: 'Action',
      isControllerTitle: 'Is controller',
      isAjaxTitle: 'Only Ajax',
      accessTypeTitle: 'Access type',
      isAccessTypeChangedTitle: 'Is access type changed',
      auditOperationEnabledTitle: 'Audit operation enabled',
      auditEntityEnabledTitle: 'Audit entity enabled',
      cacheExpirationSecondsTitle: 'Cache expiration seconds',
      isCacheSlidingTitle: 'Is cache sliding',
      isSlaveDatabaseTitle: 'Is slave database',

      isAccessTypeChangedPlaceholder:
        'Whether the access type is changed. If it is true, the function type will be ignored when refreshing the function',
      cacheExpirationSecondsPlaceholder: 'Data cache time (seconds)',
      isCacheSlidingPlaceholder: 'Relative expiration time, otherwise absolute expiration time',
      isSlaveDatabasePlaceholder:
        'Whether to read data from the library (data read / write separation)',
    },
    entityInfo: {
      title: 'Data entity',

      entityInfoList: 'Data entity list',

      nameTitle: 'Entity name',
      typeNameTitle: 'Entity type name',
      dbSchemaTitle: 'Database schema',
      dbObjNameTitle: 'Database object name',
      dbObjTypeTitle: 'Database object type',
      auditEnabledTitle: 'Enable data audit',
      eventEnabledTitle: 'Enable data events',
    },
    roleEntity: {
      title: 'Role data authority',

      roleEntityList: 'Role entity list',
      addRoleEntity: 'New role entity',

      roleIdTitle: 'Role id',
      roleNameTitle: 'Role name',
      entityIdTitle: 'Entity id',
      entityNameTitle: 'Entity name',
      entityTypeTitle: 'Entity type',
      operationTitle: 'Operation',
      filterGroupTitle: 'Filter group',

      showGroupJson: 'Show json',
      filterGroupJson: 'Filter json',
    },
    userEntity: {
      title: 'User data authority',

      userEntityList: 'User entity list',
      addUserEntity: 'New user entity',

      userIdTitle: 'User id',
      userNameTitle: 'User name',
      userNicknameTitle: 'User Nickname',
      entityIdTitle: 'Entity id',
      entityNameTitle: 'Entity name',
      entityTypeTitle: 'Entity type',
      operationTitle: 'Operation',
      filterGroupTitle: 'Filter group',

      showGroupJson: 'Show json',
      filterGroupJson: 'Filter json',
    },
  },
  audit: {
    title: 'Audit management',

    auditEntityIdTitle: 'Id',
    auditEntityNameTitle: 'Name',
    auditEntityTypeNameTitle: 'Type name',
    auditEntityEntityKeyTitle: 'Entity key',
    auditEntityOperateTypeTitle: 'Operate type',
    auditEntityUserIdTitle: 'User id',
    auditEntityUserNameTitle: 'User name',
    auditEntityUserNicknameTitle: 'User nickname',
    auditEntityFunctionNameTitle: 'Function name',
    auditEntityCreatedTimeTitle: 'Created time',
    auditEntityPropertiesTitle: 'Properties',

    auditEntityPropertieDisplayNameTitle: 'Display name',
    auditEntityPropertieFieldNameTitle: 'Field name',
    auditEntityPropertieOriginalValueTitle: 'Original value',
    auditEntityPropertieNewValueTitle: 'New value',
    auditEntityPropertieDataTypeTitle: 'Data type',

    auditOperation: {
      title: 'Operation audit',

      auditOperationList: 'Operation audit list',

      functionNameTitle: 'Function name',
      userIdTitle: 'User id',
      userNameTitle: 'User name',
      userNicknameTitle: 'User nickname',
      ipTitle: 'IP',
      operationSystemTitle: 'Operation system',
      browserTitle: 'Browser',
      methodTitle: 'Method',
      contentTypeTitle: 'Content type',
      queryStringTitle: 'Query string',
      argumentsTitle: 'Arguments',
      resultTypeTitle: 'Result type',
      messageTitle: 'message',
      resultDataTitle: 'Result data',
      elapsedTitle: 'Time consumption (ms)',
    },
    auditEntity: {
      title: 'Data audit',

      auditEntityList: 'Data audit list',
    },
  },
  report: {
    title: 'Report & Print',

    print: {
      title: 'Print management',

      printSetup: {
        title: 'Print settings',

        printList: 'Print list',
        printTitle: 'Print management',
        addPrint: 'New print',

        printTemplateList: 'Print template list',
        printTemplateTitle: 'Print template management',
        addPrintTemplate: 'New print template',

        printIdTitle: 'Print id',
        printCodeTitle: 'Print code',
        printNameTitle: 'Print name',
        templateIdTitle: 'Template id',
        templateNameTitle: 'Template name',
        templateTypeTitle: 'Template type',
        commentsTitle: 'comments',
        tagTitle: 'Tag',
        logEnabledTitle: 'Log enabled',
        userAsgnTitle: 'User assignment',
        orgAsgnTitle: 'Organization assignment',
        enabledTitle: 'Enabled',
        enableFromTitle: 'Enabled from',
        enableToTitle: 'Enabled to',
        fileNameTitle: 'File name',
        fileExtensionTitle: 'File extension',
        fileBase64Title: 'File base64',
        dsModeTitle: 'Data source mode',
        useCurDbTitle: 'Use current database',
        entityTypeNameTitle: 'Entity type name',
        connectionsTitle: 'Connections',
        dsConfigTitle: 'Data source config',
        sha1Title: 'SHA1',
        md5Title: 'MD5',
        userIdTitle: 'User id',
        userNameTitle: 'User name',
        userNicknameTitle: 'User Nickname',
        isDefaultTitle: 'Is default',
        organizationNameTitle: 'Organization name',

        requireTemplateTypeText: 'Please select a template type',
        enableAssignUserText: 'Please enable the specified user',
        enableAssignOrganizationText: 'Please enable the specified organization',

        downloadDsConnectionsDemoText: 'Download data source connection collection example',
        downloadDsConfigDemoText: 'Download sample data source configuration template',
        downloadPrintTemplateDemoText: 'Download sample print template',
        downloadDsConnectionsText: 'Download data source connection collection',
        downloadDsConfigText: 'Download data source configuration template',
        downloadPrintTemplateText: 'Download print template',
        uploadDsConnectionsText: 'Upload data source connection collection',
        uploadDsConfigText: 'Upload data source configuration template',
        uploadPrintTemplateText: 'Upload print template',
        assignUserText: 'Assign user',
        assignOrganizationText: 'Assign organization',

        dsConnectionsEmpty: 'Data source connection collection is empty',
        dsConfigEmpty: 'Data source configuration template is empty',
        printTemplateEmpty: 'Print template is empty',
      },

      printLog: {
        title: 'Print log',

        printLogList: 'Print log list',

        printIdTitle: 'Print id',
        printCodeTitle: 'Print code',
        printNameTitle: 'Print name',
        templateIdTitle: 'Template id',
        templateNameTitle: 'Template name',
        keyTitle: 'Key',
        valueTitle: 'Value',
        argumentsTitle: 'Arguments',
        userIdTitle: 'User id',
        userNameTitle: 'User name',
        userNicknameTitle: 'User Nickname',
      },
    },
  },
  message: {
    title: 'Message',

    messageText: 'Message',

    sendMessageText: 'Send',
    methodText: 'Method',
    iconText: 'Icon',
    messageTypeText: 'Message type',
    messageLevelText: 'Message level',
    titleText: 'Title',
    contentText: 'Content',
    payloadText: 'Payload',
    sendWaysText: 'Send ways',
    sendToText: 'Send to',
    toUsersText: 'To users',
    toOrganizationsText: 'To organizations',
    toRolesText: 'To roles',
    storageDaysText: 'Storage days',
    cronExpressionText: 'Cron Expression',
    enabledText: 'Enabled',
    nextSendTimeText: 'Next Sendtime',

    messageIdText: 'Message id',
    messageReceiversText: 'Receivers',

    isReadText: 'Is read',

    storageDaysHelpText: '0-365(0 indicates permanent storage)',

    message: {
      title: 'Message record',

      listText: 'Message list',

      baseTypeText: 'Base type',
      baseIdText: 'Base id',
      sendTimeText: 'Send time',
      isSystemText: 'Is system',
      senderIdText: 'Sender id',
      senderNameText: 'Sender name',
      senderNicknameText: 'Sender nickname',
      isSentText: 'Is sent',

      receiverListText: 'Receiver list',
      receiverIdText: 'Receiver id',
      receiverNameText: 'Receiver name',
      receiverNicknameText: 'Receiver nickname',
      lastReadTimeText: 'Read time',
      lastReadWayText: 'Read way',
    },
    queryMessage: {
      title: 'Query message',

      listText: 'Query message list',

      queryStringText: 'Query string',
      reportNameText: 'Report name',
      reportTemplateText: 'Report template',
      alwaysSendText: 'Always send',
    },
    templateMessage: {
      title: 'Template message',

      listText: 'Template message list',
    },
  },
};
