export default {
  greet: {
    hello: 'Hello',
    goodMorning: 'Good morning',
    goodAfternoon: 'Good afternoon',
    goodNight: 'Good night',
  },
  api: {
    operationFailed: 'Operation failed',
    errorTip: 'Error Tip',
    errorMessage: 'The operation failed, the system is abnormal!',
    successTip: 'Success prompt',
    successMessage: 'Operation succeeded!',
    timeoutMessage: 'Login timed out, please log in again!',
    apiTimeoutMessage: 'The interface request timed out, please refresh the page and try again!',
    networkException: 'Network anomaly',
    networkExceptionMsg:
      'Please check if your network connection is normal! The network is abnormal',

    requestError: 'Request error!',
    requestHasNoReturnValue: 'Request has no return value!',

    // 1XX-表示消息，代表请求已被接受，但是需要继续处理。
    msg100: 'Continue！',
    msg101: 'Switching protocols!',
    msg102: 'Processing!',
    // 1XX-表示成功，代表请求已成功被服务器接收、理解、接受。
    msg200: 'Success!',
    msg201: 'Created!',
    msg202: 'Accepted!',
    msg203: 'Non-Authoritative information!',
    msg204: 'No content!',
    msg205: 'Reset content!',
    msg206: 'Partial content!',
    msg207: 'Multi-Status!',
    // 3XX-表示重定向，代表客户端需要进一步操作才能完成请求。
    msg300: 'Multiple choices!',
    msg301: 'Moved permanently!',
    msg302: 'Found!',
    msg303: 'See other!',
    msg304: 'Not Modified!',
    msg305: 'Use proxy!',
    msg306: 'Switch proxy!',
    msg307: 'Temporary redirect!',
    // 4XX-表示请求错误，代表客户端发生了错误，妨碍服务器的处理。
    msg400: 'Bad request!',
    msg401: 'Unauthorized!',
    msg403: 'Forbidden!',
    msg404: 'Not found!',
    msg405: 'Method not allowed!',
    msg406: 'Not acceptable!',
    msg407: 'Proxy authentication request!',
    msg408: 'Request timeout!',
    msg409: 'Conflict!',
    msg410: 'Gone!',
    msg411: 'Length required!',
    msg412: 'Precondition failed!',
    msg413: 'Request entity too large!',
    msg414: 'Request URI too long!',
    msg415: 'Unsupported media type!',
    msg416: 'Requested range not satisfiable!',
    msg417: 'Expectation failed!',
    msg418: "I'm a teapot!",
    msg421: 'There are too many connections from your internet address!',
    msg422: 'Unprocessable entity!',
    msg423: 'Locked!',
    msg424: 'Failed dependency!',
    msg425: 'Unordered collection!',
    msg426: 'Upgrade required!',
    msg428: 'Precondition required!',
    msg429: 'Too many requests!',
    msg431: 'Request header fields too large!',
    msg449: 'Retry with!',
    msg451: 'Unavailable for legal reasons!',
    // 5XX-表示服务器错误，表示服务器在处理请求的过程中异常状态发生。
    msg500: 'Internal server error!',
    msg501: 'Not implemented!',
    msg502: 'Bad gateway!',
    msg503: 'Service unavailable!',
    msg504: 'Gateway timeout!',
    msg505: 'HTTP Version not supported!',
    msg506: 'Variant also negotiates!',
    msg507: 'Insufficient storage!',
    msg509: 'Bandwidth limit exceeded!',
    msg510: 'Not extended!',
    msg511: 'Network authentication required!',
  },
  app: {
    logoutTip: 'Reminder',
    logoutMessage: 'Confirm to exit the system?',
    menuLoading: 'Menu loading...',
    copyright: 'Copyright © 2020-{endyear} VINNO Corporation, All rights reserved.',
    browserSuggestions:
      'It is recommended to use the new version of {browsers} browser to visit this site',
    recommendedUse: 'Recommended to use',
    visit: 'Visit',
    googleChrome: 'Google Chrome',
    microsoftEdge: 'Microsoft Edge',
    policy: 'I have read and agree',
    registrationAgreement: 'Registration Agreement',
    privacyPolicy: 'Privacy policy',
    contactEmail: "support{'@'}sanqing.tech",
    contactPhone: 'Contact phone',
    contactTel: 'Contact tel',
    contactAddress: 'Contact address',
  },
  errorLog: {
    tableTitle: 'Error log list',
    tableColumnType: 'Type',
    tableColumnDate: 'Time',
    tableColumnFile: 'File',
    tableColumnMsg: 'Error message',
    tableColumnStackMsg: 'Stack info',

    tableActionDesc: 'Details',

    modalTitle: 'Error details',

    fireVueError: 'Fire vue error',
    fireResourceError: 'Fire resource error',
    fireAjaxError: 'Fire ajax error',

    enableMessage: 'Only effective when useErrorHandle=true in `/src/settings/projectSetting.ts`.',
  },
  exception: {
    backLogin: 'Back Login',
    backHome: 'Back Home',
    subTitle403: "Sorry, you don't have access to this page.",
    subTitle404: 'Sorry, the page you visited does not exist.',
    subTitle500: 'Sorry, the server is reporting an error.',
    noDataTitle: 'No data on the current page.',
    networkErrorTitle: 'Network Error',
    networkErrorSubTitle:
      'Sorry，Your network connection has been disconnected, please check your network!',
  },
  lock: {
    unlock: 'Click to unlock',
    alert: 'Lock screen password error',
    backToLogin: 'Back to login',
    entry: 'Enter the system',
    placeholder: 'Please enter the lock screen password or user password',
  },
  login: {
    backSignIn: 'Back sign in',
    mobileSignInFormTitle: 'Mobile sign in',
    qrSignInFormTitle: 'Qr code sign in',
    signInFormTitle: 'Sign in',
    signUpFormTitle: 'Sign up',
    signUpResultFormTitle: 'Sign up result',
    forgetFormTitle: 'Reset password',
    sendConfirmEmailFormTitle: 'Send email activation',
    confirmPhoneFormTitle: 'Activate the phone',
    confirmResultFormTitle: 'Activation results',

    signInTitle: 'Backstage management system',
    signInDesc: 'Enter your personal details and get started!',
    policy: 'I agree to the xxx Privacy Policy',

    //扫码登录
    scanSign: `scanning the code to complete the login`,
    scanSignComplete: `Scan completed, please confirm login on mobile phone`,
    scanSignRefreshed: `Login QR code has been refreshed`,

    loginButton: 'Sign in',
    registerButton: 'Sign up',
    rememberMe: 'Remember me',
    forgetPassword: 'Forget Password?',
    otherSignIn: 'Sign in with',

    sendConfirmEmail: 'Send confirm email',
    confirmPhone: 'Confirm phone',

    signInWithWeChat: 'WeChat',
    signInWithDingTalk: 'DingTalk',
    signInWithDouYin: 'Tiktok',
    signInWithQQ: 'QQ',
    signInWithMicrosoft: 'Microsoft',
    signInWithGitHub: 'GitHub',

    // 注册激活结果
    registerSuccess: 'Sign in success',
    registerFailed: 'Sign in failed',
    confirmTitle: 'Confirm',
    confirmSuccess: 'Confirm success',
    confirmFailed: 'Confirm failed',
    resetPasswordSuccess: 'Reset password successfully',
    resetPasswordFailed: 'Reset password failed',
    activationEmail:
      'The activation email has been sent to your email address and is valid for 24 hours. Please log in to the email in time and click on the link in the email to activate the account.',
    resetPasswordEmail:
      'The reset password email has been sent to your post box and is valid for 24 hours. Please log in to the post box in time and click the connection in the email to reset the account password.',
    viewMailbox: 'View mailbox',
    registerSuccessDescTitle: 'Guide',
    registerSuccessDescExplain: 'Explain',
    registerSuccessDescExplainContent:
      'After the user self registration, the specific default organization and role authorization can be obtained, and the specific business permissions can only be obtained after being assigned by the administrator.',
    registerSuccessStep1Title: 'User registration',
    registerSuccessStep2Title: 'Default setting',
    registerSuccessStep3Title: 'Authority assignment',
    registerSuccessStep4Title: 'Complete',

    // 通知（notify）
    loginSuccessTitle: 'Login successful',
    loginSuccessDesc: 'Welcome back',
    loginFailedTitle: 'Login failed',

    // 占位符（placeholder）
    userNamePlaceholder: 'Please input username',
    nickNamePlaceholder: 'Please input nickname',
    passwordPlaceholder: 'Please input password',
    confirmPasswordPlaceholder: 'Please input confirmation password',
    emailPlaceholder: 'Please input email',
    mobilePlaceholder: 'Please input mobile',
    smsCodePlaceholder: 'Please input sms code',
    organizationIdPlaceholder: 'Please input organization id',
    verifyCodePlaceholder: 'Please input verification code',
    policyPlaceholder: 'Register after checking',
    diffPwd: 'The two passwords are inconsistent',

    userNameExisted: 'Username already exists',
    nickNameExisted: 'Nickname already exists',
    emailExisted: 'Email already exists',
    mobileExisted: 'Mobile already exists',

    userNameNotExisted: 'Username does not exist',
    nickNameNotExisted: 'Nickname does not exist',
    emailNotExisted: 'Email does not exist',
    mobileNotExisted: 'Mobile does not exist',

    smsCodeInvalid: 'SMS code invalid',
    verifyCodeInvalid: 'Verification code is invalid',

    emailFormatError: 'Email format error',
    mobileFormatError: 'Mobile format error',

    userName: 'Username',
    nickName: 'Nickname',
    password: 'Password',
    confirmPassword: 'Confirm Password',
    email: 'Email',
    mobile: 'Mobile',
    smsCode: 'SMS code',
    organizationId: 'Organization id',
    verifyCode: 'Verification code',

    writeTitle: 'Fill in',
    completeTitle: 'Complete',
    verifyResetPasswordText: 'Please verify your {0} to complete the password reset.',
    prevTitle: 'Previous step',
    nextTitle: 'Next step',
    submitTitle: 'Submit',
  },
  email: {
    confirmEmailTitle: 'Activating registration mailbox……',
    confirmEmailTitleSuccess: 'Activation of registered mailbox succeeded',
    confirmEmailTitleFailed: 'Failed to activate registered mailbox',
    resetPasswordSuccess: 'Reset password successfully',
    resetPasswordFailed: 'Reset password failed',
    resetPasswordSuccessDesc:
      'Please use your new password to log in and remember your new password.',
  },
  oauth: {
    providerTitle: 'Log in with {0} account',
    loginOneKeyTitle: 'Create and log in',
    loginBindTitle: 'Bind and login',
    loginOneKeyTipTitle: 'Automatically create a new account and log in with one click',
    loginBindTipTitle: 'Bind an existing account and log in',
    backloginTipTitle: 'Return to login page',
  },
};
