export default {
  greet: {
    hello: 'こんにちは',
    goodMorning: 'おはようございます',
    goodAfternoon: 'こんにちは',
    goodNight: 'こんばんは',
  },
  api: {
    operationFailed: '操作に失敗しました',
    errorTip: 'エラーメッセージ',
    errorMessage: '操作失敗、システム異常！',
    successTip: '成功のヒント',
    successMessage: '操作は成功しました！',
    timeoutMessage: 'ログインがタイムアウトしました，再登録してください！',
    apiTimeoutMessage:
      'インターフェースの要求がタイムアウトしました，ページを更新してやり直してください！',
    networkException: 'ネットワーク異常',
    networkExceptionMsg: 'ネットワーク接続が正常か確認してください！',

    requestError: 'リクエストエラー！',
    requestHasNoReturnValue: '要求は戻り値なしです！',

    // 1XX-表示消息，代表请求已被接受，但是需要继续处理。
    msg100: '続行を要求！',
    msg101: '変換プロトコルの要求！',
    msg102: 'リクエスト処理中！',
    // 1XX-表示成功，代表请求已成功被服务器接收、理解、接受。
    msg200: '成功！',
    msg201: '作成済み！',
    msg202: '承認済み！',
    msg203: '非公式情報！',
    msg204: 'コンテンツなし！',
    msg205: 'コンテンツのリセット！',
    msg206: 'ローカルコンテンツ！',
    msg207: 'マルチステート！',
    // 3XX-表示重定向，代表客户端需要进一步操作才能完成请求。
    msg300: 'たじゅうせんたく！',
    msg301: '永続的な移行！',
    msg302: '見つける！',
    msg303: '詳細はこちら！',
    msg304: '変更なし！',
    msg305: 'プロキシの使用！',
    msg306: 'エージェントの切り替え！',
    msg307: '一時リダイレクト！',
    // 4XX-表示请求错误，代表客户端发生了错误，妨碍服务器的处理。
    msg400: '要求エラー！',
    msg401: '権限なし！',
    msg403: '禁止する！',
    msg404: '見つからない！',
    msg405: 'メソッドが許可されていません！',
    msg406: 'アクセスできません！',
    msg407: 'プロキシ認証の要件！',
    msg408: '要求タイムアウト！',
    msg409: 'コンフリクト！',
    msg410: 'もう存在しない！',
    msg411: 'データ長が必要！',
    msg412: '前提条件エラー！',
    msg413: '要求エンティティが大きすぎます！',
    msg414: '要求URIが長すぎる！',
    msg415: 'サポートされていないメディアフォーマット！',
    msg416: '要求範囲が満たされない！',
    msg417: '期待失敗！',
    msg418: '私はカップです！',
    msg421: 'このIPが開始するリンクが多すぎる！',
    msg422: 'エラーエンティティ！',
    msg423: 'ロック！',
    msg424: '関連エラー！',
    msg425: 'らんじゅんしゅうごう！',
    msg426: 'アップグレード要件！',
    msg428: '前提条件を要求する！',
    msg429: '要求が多すぎる！',
    msg431: '要求ヘッダフィールドが大きすぎます！',
    msg449: '後で再試行！',
    msg451: '審査中！',
    // 5XX-表示服务器错误，表示服务器在处理请求的过程中异常状态发生。
    msg500: '内部サーバエラー！',
    msg501: '実装されていません！',
    msg502: 'エラーゲートウェイ！',
    msg503: 'サービスが利用できません！',
    msg504: 'ゲートウェイタイムアウト！',
    msg505: 'サポートされていないHTTPバージョン！',
    msg506: 'バリアント交渉！',
    msg507: 'ちょぞう不足！',
    msg509: '帯域幅の制限を超える！',
    msg510: '未拡張！',
    msg511: 'ネットワーク認証が必要！',
  },
  app: {
    logoutTip: '暖かい注意',
    logoutMessage: 'システムの終了を確認しますか？',
    menuLoading: 'メニュー読み込み中...',
    copyright: 'Copyright © 2020-{endyear} VINNO Corporation, All rights reserved.',
    browserSuggestions:
      '新しい {browsers} ブラウザを使用して、このサイトにアクセスすることをお勧めします',
    recommendedUse: '推奨',
    visit: 'アクセス',
    googleChrome: 'Google Chrome',
    microsoftEdge: 'Microsoft Edge',
    policy: '読んで同意しました',
    registrationAgreement: '登録プロトコル',
    privacyPolicy: 'プライバシーポリシー',
    contactEmail: "support{'@'}sanqing.tech",
    contactPhone: '携帯電話に連絡する',
    contactTel: '連絡先電話',
    contactAddress: '連絡先',
  },
  errorLog: {
    tableTitle: 'エラーログリスト',
    tableColumnType: 'タイプ',
    tableColumnDate: '時間',
    tableColumnFile: 'ファイル',
    tableColumnMsg: 'エラーメッセージ',
    tableColumnStackMsg: 'stackメッセージ',

    tableActionDesc: '詳細',

    modalTitle: 'エラーの詳細',

    fireVueError: '触発vueエラーをクリックしてください',
    fireResourceError: 'リソース読み込みエラーを起動するにはクリックしてください',
    fireAjaxError: 'クリックしてajaxエラーをトリガします',

    enableMessage: 'ただ `/src/settings/projectSetting.ts` 内の useErrorHandle=true は有効です。',
  },
  exception: {
    backLogin: 'ログインに戻ります',
    backHome: '最初のページに戻ります',
    subTitle403: 'すみません、このページにアクセスする権限がありません。',
    subTitle404: 'すみません、あなたが訪問したページは存在しません。',
    subTitle500: 'すみません、サーバレポートが間違っています。',
    noDataTitle: '現在のページにはデータがありません',
    networkErrorTitle: 'ネットワークエラー',
    networkErrorSubTitle:
      'すみません、ネットワーク接続が切断されました。ネットワークを確認してください！',
  },
  lock: {
    unlock: 'ロック解除をクリックします',
    alert: 'ロックスクリーンのパスワードが間違っています',
    backToLogin: 'ログインに戻ります',
    entry: 'システムに入る',
    placeholder: 'ロックスクリーンのパスワードまたはパスワードを入力してください',
  },
  login: {
    backSignIn: '戻る',
    signInFormTitle: 'ログイン',
    mobileSignInFormTitle: '携帯の登録',
    qrSignInFormTitle: '二次元コード登録',
    signUpFormTitle: '登録する',
    signUpResultFormTitle: '登録結果',
    forgetFormTitle: 'パスワードをリセット',
    sendConfirmEmailFormTitle: 'メールボックスを送信してメールをアクティブにします',
    confirmPhoneFormTitle: '携帯をアクティブにする',
    confirmResultFormTitle: '結果を有効にする',

    signInTitle: '科学技術は未来',
    signInDesc: '個人情報を入力してから使います！',
    policy: '私はxxxプライバシーポリシーに同意します',

    //扫码登录
    scanSign: `コードをスキャンして「確認」をクリックすると、ログインが完了します`,
    scanSignComplete: `スキャンが完了しました，携帯でログインを確認してください`,
    scanSignRefreshed: `登録QRコードが更新されました`,

    loginButton: 'ログイン',
    registerButton: '登録する',
    rememberMe: '覚えてください',
    forgetPassword: 'パスワードを忘れます？',
    otherSignIn: 'その他のログイン方式',

    sendConfirmEmail: 'メールボックスを送信してメールをアクティブにします',
    confirmPhone: '携帯をアクティブにする',

    signInWithWeChat: 'WeChat',
    signInWithDingTalk: '釘を打つ',
    signInWithDouYin: 'Tiktok',
    signInWithQQ: 'QQ',
    signInWithMicrosoft: 'マイクロソフト口座',
    signInWithGitHub: 'GitHub',

    // 注册激活结果
    registerSuccess: '登録成功',
    registerFailed: '登録に失敗しました',
    confirmTitle: 'アクティブ',
    confirmSuccess: 'アクティブ化成功',
    confirmFailed: 'アクティブ化に失敗しました',
    resetPasswordSuccess: 'パスワードをリセットしました',
    resetPasswordFailed: 'パスワードをリセットできませんでした',
    activationEmail:
      'アクティブメールはすでにあなたの郵便箱に送りました。メールの有効期限は24時間です。メールの接続をクリックして、アカウントをアクティブにしてください。',
    resetPasswordEmail:
      'パスワードをリセットしてメールをあなたの郵便箱に送りました。メールの有効期間は24時間です。ポストに登録して、メールの接続をクリックしてアカウントのパスワードをリセットしてください。',
    viewMailbox: 'メールを見る',
    registerSuccessDescTitle: '案内する',
    registerSuccessDescExplain: '説明',
    registerSuccessDescExplainContent:
      'ユーザーが自主的に登録し終わったら、具体的には組織と役割の授権を黙認します。具体的な業務権限は管理者が割り当ててから獲得できます。',
    registerSuccessStep1Title: 'ユーザー登録',
    registerSuccessStep2Title: '標準設定',
    registerSuccessStep3Title: '権限の割り当て',
    registerSuccessStep4Title: '完了',

    // 通知（notify）
    loginSuccessTitle: 'ログイン成功',
    loginSuccessDesc: 'お帰りなさい',
    loginFailedTitle: 'ログイン失敗しました',

    // 占位符（placeholder）
    userNamePlaceholder: 'アカウントを入力してください',
    nickNamePlaceholder: 'ニックネームを入力してください',
    passwordPlaceholder: 'パスワードを入力してください',
    confirmPasswordPlaceholder: '確認パスワードを入力してください',
    emailPlaceholder: 'メールボックスを入力してください',
    mobilePlaceholder: '携帯電話の番号を入力してください',
    smsCodePlaceholder: 'メールの検証コードを入力してください',
    organizationIdPlaceholder: '組織機構番号を入力してください',
    verifyCodePlaceholder: '認証コードを入力してください',
    policyPlaceholder: 'チェックしてから登録できます',
    diffPwd: '二回の入力パスワードが一致しません',

    userNameExisted: 'アカウントは既に存在します',
    nickNameExisted: 'ニックネームは既に存在します',
    emailExisted: 'メールボックスは既に存在します',
    mobileExisted: '携帯の番号はすでにあります',

    userNameNotExisted: 'アカウントが存在しません',
    nickNameNotExisted: 'ニックネームは存在しません',
    emailNotExisted: 'メールボックスは存在しません',
    mobileNotExisted: '携帯番号は存在しません',

    smsCodeInvalid: 'ショートメッセージの検証コードが無効です',
    verifyCodeInvalid: '認証コードが無効です',

    emailFormatError: 'メールボックスのフォーマットが間違っています',
    mobileFormatError: '携帯番号のフォーマットが正しくないです',

    userName: 'アカウント',
    nickName: 'ニックネーム',
    password: 'パスワード',
    confirmPassword: 'パスワードを確認する',
    email: 'メールボックス',
    mobile: '携帯の番号',
    smsCode: 'ショートメッセージの検証コード',
    organizationId: '組織機構番号',
    verifyCode: '認証コード',

    writeTitle: '記入する',
    completeTitle: '完了',
    verifyResetPasswordText: 'パスワードリセットを完了するために{0}を確認してください。',
    prevTitle: '前へ',
    nextTitle: '次のステップ',
    submitTitle: '送信',
  },
  email: {
    confirmEmailTitle: '登録メールボックスをアクティブにしています……',
    confirmEmailTitleSuccess: '登録メールの有効化に成功しました',
    confirmEmailTitleFailed: '登録メールの有効化に失敗しました',
    resetPasswordSuccess: 'パスワードをリセットしました',
    resetPasswordFailed: 'パスワードをリセットできませんでした',
    resetPasswordSuccessDesc:
      '新しいパスワードを使ってシステムにログインし、新しいパスワードを覚えてください。',
  },
  oauth: {
    providerTitle: '{0} アカウントで登録する',
    loginOneKeyTitle: '作成と登録',
    loginBindTitle: 'バインドして登録する',
    loginOneKeyTipTitle: '新しいアカウントを自動的に作成してワンタッチで登録します',
    loginBindTipTitle: '既存のアカウントをバインドして登録します',
    backloginTipTitle: 'ログイン画面に戻ります',
  },
};
