export default {
  greet: {
    hello: '您好',
    goodMorning: '上午好',
    goodAfternoon: '下午好',
    goodNight: '晚上好',
  },
  api: {
    operationFailed: '操作失败',
    errorTip: '错误提示',
    errorMessage: '操作失败，系统异常！',
    successTip: '成功提示',
    successMessage: '操作成功！',
    timeoutMessage: '登录超时，请重新登录！',
    apiTimeoutMessage: '接口请求超时，请刷新页面重试！',
    networkException: '网络异常',
    networkExceptionMsg: '请检查您的网络连接是否正常！',

    requestError: '请求错误！',
    requestHasNoReturnValue: '请求没有返回值！',

    // 1XX-表示消息，代表请求已被接受，但是需要继续处理。
    msg100: '请求继续！',
    msg101: '请求转换协议！',
    msg102: '请求处理中！',
    // 1XX-表示成功，代表请求已成功被服务器接收、理解、接受。
    msg200: '成功！',
    msg201: '已创建！',
    msg202: '已接受！',
    msg203: '非官方信息！',
    msg204: '无内容！',
    msg205: '重置内容！',
    msg206: '局部内容！',
    msg207: '多种状态！',
    // 3XX-表示重定向，代表客户端需要进一步操作才能完成请求。
    msg300: '多重选择！',
    msg301: '永久迁移！',
    msg302: '找到！',
    msg303: '参见其他信息！',
    msg304: '没有修改！',
    msg305: '使用代理！',
    msg306: '切换代理！',
    msg307: '临时重定向！',
    // 4XX-表示请求错误，代表客户端发生了错误，妨碍服务器的处理。
    msg400: '请求错误！',
    msg401: '未授权！',
    msg403: '禁止！',
    msg404: '未找到！',
    msg405: '方法未允许！',
    msg406: '无法访问！',
    msg407: '代理服务器认证要求！',
    msg408: '请求超时！',
    msg409: '冲突！',
    msg410: '已经不存在！',
    msg411: '需要数据长度！',
    msg412: '先决条件错误！',
    msg413: '请求实体过大！',
    msg414: '请求URI过长！',
    msg415: '不支持的媒体格式！',
    msg416: '请求范围无法满足！',
    msg417: '期望失败！',
    msg418: '我是杯具！',
    msg421: '该IP发起的链接过多！',
    msg422: '错误实体！',
    msg423: '锁定！',
    msg424: '关联错误！',
    msg425: '集合乱序！',
    msg426: '升级要求！',
    msg428: '要求先决条件！',
    msg429: '太多请求！',
    msg431: '请求头字段太大！',
    msg449: '稍后重试！',
    msg451: '正被审查！',
    // 5XX-表示服务器错误，表示服务器在处理请求的过程中异常状态发生。
    msg500: '内部服务器错误！',
    msg501: '未实现！',
    msg502: '错误的网关！',
    msg503: '服务无法获得！',
    msg504: '网关超时！',
    msg505: '不支持的HTTP版本！',
    msg506: '变体协商！',
    msg507: '储存不足！',
    msg509: '超出带宽限制！',
    msg510: '未扩展！',
    msg511: '要求网络认证！',
  },
  app: {
    logoutTip: '温馨提醒',
    logoutMessage: '是否确认退出系统?',
    menuLoading: '菜单加载中...',
    copyright: 'Copyright © 2020-{endyear} VINNO Corporation, All rights reserved.',
    browserSuggestions: '推荐使用 新版 {browsers} 浏览器 访问本站',
    recommendedUse: '推荐使用',
    visit: '访问',
    googleChrome: 'Google Chrome',
    microsoftEdge: 'Microsoft Edge',
    policy: '我已阅读并同意',
    registrationAgreement: '注册协议',
    privacyPolicy: '隐私政策',
    contactEmail: "support{'@'}sanqing.tech",
    contactPhone: '联系手机',
    contactTel: '联系电话',
    contactAddress: '联系地址',
  },
  errorLog: {
    tableTitle: '错误日志列表',
    tableColumnType: '类型',
    tableColumnDate: '时间',
    tableColumnFile: '文件',
    tableColumnMsg: '错误信息',
    tableColumnStackMsg: 'stack信息',

    tableActionDesc: '详情',

    modalTitle: '错误详情',

    fireVueError: '点击触发vue错误',
    fireResourceError: '点击触发资源加载错误',
    fireAjaxError: '点击触发ajax错误',

    enableMessage: '只在`/src/settings/projectSetting.ts` 内的useErrorHandle=true时生效.',
  },
  exception: {
    backLogin: '返回登录',
    backHome: '返回首页',
    subTitle403: '抱歉，您无权访问此页面。',
    subTitle404: '抱歉，您访问的页面不存在。',
    subTitle500: '抱歉，服务器报告错误。',
    noDataTitle: '当前页无数据',
    networkErrorTitle: '网络错误',
    networkErrorSubTitle: '抱歉，您的网络连接已断开，请检查您的网络！',
  },
  lock: {
    unlock: '点击解锁',
    alert: '锁屏密码错误',
    backToLogin: '返回登录',
    entry: '进入系统',
    placeholder: '请输入锁屏密码或者用户密码',
  },
  login: {
    backSignIn: '返回',
    signInFormTitle: '登录',
    mobileSignInFormTitle: '手机登录',
    qrSignInFormTitle: '二维码登录',
    signUpFormTitle: '注册',
    signUpResultFormTitle: '注册结果',
    forgetFormTitle: '重置密码',
    sendConfirmEmailFormTitle: '发送邮箱激活邮件',
    confirmPhoneFormTitle: '激活手机',
    confirmResultFormTitle: '激活结果',

    signInTitle: '科技改变未来 · 数据传承价值',
    signInDesc: '输入您的个人详细信息开始使用！',
    policy: '我同意xxx隐私政策',

    //扫码登录
    scanSign: `扫码后点击"确认"，即可完成登录`,
    scanSignComplete: `扫描已完成，请在手机上确认登录`,
    scanSignRefreshed: `登录二维码已刷新`,

    loginButton: '登录',
    registerButton: '注册',
    rememberMe: '记住我',
    forgetPassword: '忘记密码?',
    otherSignIn: '其他登录方式',

    sendConfirmEmail: '发送邮箱激活邮件',
    confirmPhone: '激活手机',

    signInWithWeChat: '微信',
    signInWithDingTalk: '钉钉',
    signInWithDouYin: '抖音',
    signInWithQQ: 'QQ',
    signInWithMicrosoft: '微软账户',
    signInWithGitHub: 'GitHub',

    // 注册确认结果
    registerSuccess: '注册成功',
    registerFailed: '注册失败',
    confirmTitle: '确认',
    confirmSuccess: '确认成功',
    confirmFailed: '确认失败',
    resetPasswordSuccess: '重置密码成功',
    resetPasswordFailed: '重置密码失败',
    activationEmail:
      '激活邮件已发送到你的邮政箱中，邮件有效期为24小时。请及时登录邮政箱，点击邮件中的连接激活账户。',
    resetPasswordEmail:
      '重置密码邮件已发送到你的邮政箱中，邮件有效期为24小时。请及时登录邮政箱，点击邮件中的连接重置账户密码。',
    viewMailbox: '查看邮箱',
    registerSuccessDescTitle: '指引',
    registerSuccessDescExplain: '说明',
    registerSuccessDescExplainContent:
      '用户自主注册完成后具体默认组织及角色授权，具体业务权限需管理员分配后方可获得。',
    registerSuccessStep1Title: '用户注册',
    registerSuccessStep2Title: '默认设置',
    registerSuccessStep3Title: '权限分配',
    registerSuccessStep4Title: '完成',

    // 通知（notify）
    loginSuccessTitle: '登录成功',
    loginSuccessDesc: '欢迎回来',
    loginFailedTitle: '登入失败',

    // 占位符（placeholder）
    userNamePlaceholder: '请输入账号',
    nickNamePlaceholder: '请输入昵称',
    passwordPlaceholder: '请输入密码',
    confirmPasswordPlaceholder: '请输入确认密码',
    emailPlaceholder: '请输入邮箱',
    mobilePlaceholder: '请输入手机号码',
    smsCodePlaceholder: '请输入短信验证码',
    organizationIdPlaceholder: '请输入组织机构编号',
    verifyCodePlaceholder: '请输入验证码',
    policyPlaceholder: '勾选后才能注册',
    diffPwd: '两次输入密码不一致',

    userNameExisted: '账号已存在',
    nickNameExisted: '昵称已存在',
    emailExisted: '邮箱已存在',
    mobileExisted: '手机号码已存在',

    userNameNotExisted: '账号不存在',
    nickNameNotExisted: '昵称不存在',
    emailNotExisted: '邮箱不存在',
    mobileNotExisted: '手机号码不存在',

    smsCodeInvalid: '短信验证码无效',
    verifyCodeInvalid: '验证码无效',

    emailFormatError: '邮箱格式不正确',
    mobileFormatError: '手机号格式不正确',

    userName: '账号',
    nickName: '昵称',
    password: '密码',
    confirmPassword: '确认密码',
    email: '邮箱',
    mobile: '手机号码',
    smsCode: '短信验证码',
    organizationId: '组织机构编号',
    verifyCode: '验证码',

    writeTitle: '填写',
    completeTitle: '完成',
    verifyResetPasswordText: '请验证您的{0}，以完成密码重置。',
    prevTitle: '上一步',
    nextTitle: '下一步',
    submitTitle: '提交',
  },
  email: {
    confirmEmailTitle: '正在激活注册邮箱……',
    confirmEmailTitleSuccess: '激活注册邮箱成功',
    confirmEmailTitleFailed: '激活注册邮箱失败',
    resetPasswordSuccess: '重置密码成功',
    resetPasswordFailed: '重置密码失败',
    resetPasswordSuccessDesc: '请使用新密码登录使用系统，并牢记您的新密码。',
  },
  oauth: {
    providerTitle: '使用 {0} 账号登录',
    loginOneKeyTitle: '创建并登录',
    loginBindTitle: '绑定并登录',
    loginOneKeyTipTitle: '自动创建新账号一键登录',
    loginBindTipTitle: '绑定现有账号并登录',
    backloginTipTitle: '返回登录界面',
  },
};
