export default {
  title: '物聯網',

  gateway: {
    title: '閘道',

    setting: {
      title: '閘道設定',

      gatewayList: '閘道清單',

      nameText: '閘道名稱',
      protocolTypeText: '協定類型',
      serverText: '服務器',
      portText: '埠',
      identityText: '認證身份',
      passwordText: '認證金鑰',
      platformTypeText: '平臺類型',
      whitelistText: '白名單',
      blacklistText: '黑名單',
      enabledText: '啟用',
      timeoutText: '超時期限(s)',
      remarkText: '備註',

      clientIdAndIpText: '用戶端編號或IP地址，優先IP地址匹配。',
    },
    client: {
      title: '線上用戶端',

      clientList: '用戶端清單',

      gatewayIdText: '閘道編號',
      gatewayNameText: '閘道名稱',
      protocolTypeText: '協定類型',
      platformTypeText: '平臺類型',
      endpointText: '終結點',
      versionText: '版本',
      connectedTimeText: '連接時間',
      lastPacketReceivedTimeText: '最後收包時間',
      lastPacketSentTimeText: '最後發包時間',
      receivedPacketsText: '收包數',
      sentPacketsText: '發包數',
      receivedBytesText: '收位元組數',
      sentBytesText: '發位元組數',
      receivedMessagesText: '收消息數',
      sentMessagesText: '發消息數',
      pendingMessagesText: '未决消息數',
    },
    connectLog: {
      title: '連接日誌',

      connectLogList: '連接日誌清單',

      clientIdText: '用戶端編號',
      endpointText: '用戶端終結點',
      ipText: '用戶端IP',
      identityText: '認證身份',
      succeededText: '是否成功',
      statusText: '狀態',
      messageText: '消息',
      gatewayIdText: '閘道編號',
      gatewayNameText: '閘道名稱',
    },
  },
  device: {
    title: '設備',

    deviceList: '設備清單',

    idText: '設備編號',
    nameText: '設備名稱',
    descriptionText: '設備描述',
    enabledText: '啟用',
    updWhnChgText: '變化上傳',
    enforcePeriodText: '執行週期(ms)',
    cmdPeriodText: '指令週期(ms)',
    orderNumberText: '順序編號',
    dvcGrpIdText: '設備組編號',
    dvcGrpNameText: '設備組名稱',
    driverIdText: '驅動編號',
    driverNameText: '驅動名稱',
    remarkText: '備註',

    group: {
      title: '設備組',

      groupList: '設備組清單',

      ungroupedText: '未分組',

      nameText: '名稱',
      descriptionText: '描述',
      remarkText: '備註',
      orderNumberText: '順序編號',
      treePathStringText: '節點樹形路徑',
      parentIdText: '父機构編號',
      levelText: '層級',
    },
    config: {
      title: '設備配置',

      configList: '設備配置清單',

      extractDriverConfigs: '選取驅動配寘',

      nameText: '配寘名稱',
      descriptionText: '配寘描述',
      valueText: '配寘值',
      validValuesText: '有效值',
      orderNumberText: '順序編號',
      remarkText: '備註',
    },
    variable: {
      title: '設備變數',

      variableList: '設備變數清單',

      writeVariable: '寫入變數',
      writeValue: '寫入值',

      nameText: '變數名稱',
      descriptionText: '變數描述',
      readMethodText: '讀取方法',
      readAddressText: '讀取地址',
      writeMethodText: '寫入方法',
      writeAddressText: '寫入地址',
      valueTypeText: '值類型',
      valueNormalText: '常態值',
      endianText: '位元組序',
      expressionText: '運算式',
      uploadText: '上傳數據',
      permissionTypeText: '許可權類型',
      orderNumberText: '順序編號',
      remarkText: '備註',

      statusText: '狀態',
      messageText: '消息',
      valueText: '值',
      cookedValueText: '熟化值',
      timestampText: '時間戳記',
      alarmStatusText: '警報狀態',
    },
  },
  driver: {
    title: '驅動',

    driverList: '驅動清單',

    downloadPackage: '下載套裝程式',
    setPackage: '設定套裝程式',
    updateSimple: '更新簡要',

    nameText: '驅動名稱',
    descriptionText: '驅動描述',
    startupFileText: '啟動檔案',
    startupClassText: '啟動類',
    packagePathText: '套裝程式路徑',
    enabledText: '啟用',
    remarkText: '備註',

    package: {
      title: '驅動程序包',

      driverIdText: '驅動編號',
      nameText: '包名稱',
      contentText: '包内容',
      descriptionText: '描述',
      remarkText: '備註',

      uploadHelpText: '僅支持Zip格式的壓縮包，並且不能基於資料夾壓縮。',
    },
  },
  rpcLog: {
    title: 'RPC日誌',

    rpcLogList: 'RPC日誌清單',

    requestSideText: 'RPC請求端',
    requestIdText: '請求編號',
    clientIdText: '用戶端編號',
    methodText: '方法名稱',
    argumentsText: '請求參數',
    succeededText: '是否成功',
    messageText: '響應消息',
    resultText: '響應結果',
    createdTimeText: '創建時間',
    endedTimeText: '結束時間',
    elapsedText: '執行耗時(ms)',
    deviceIdText: '設備編號',
    deviceNameText: '設備名稱',
  },
};
