export default {
  greet: {
    hello: '您好',
    goodMorning: '上午好',
    goodAfternoon: '下午好',
    goodNight: '晚上好',
  },
  api: {
    operationFailed: '操作失敗',
    errorTip: '錯誤提示',
    errorMessage: '操作失敗，系統异常！',
    successTip: '成功提示',
    successMessage: '操作成功！',
    timeoutMessage: '登入超時，請重新登入！',
    apiTimeoutMessage: '介面請求超時，請刷新頁面重試！',
    networkException: '網絡异常',
    networkExceptionMsg: '請檢查您的網絡連接是否正常！',

    requestError: '請求錯誤！',
    requestHasNoReturnValue: '請求沒有返回值！',

    // 1XX-表示消息，代表请求已被接受，但是需要继续处理。
    msg100: '請求繼續！',
    msg101: '請求轉換協定！',
    msg102: '請求處理中！',
    // 1XX-表示成功，代表请求已成功被服务器接收、理解、接受。
    msg200: '成功！',
    msg201: '已創建！',
    msg202: '已接受！',
    msg203: '非官方資訊！',
    msg204: '無內容！',
    msg205: '重置內容！',
    msg206: '局部內容！',
    msg207: '多種狀態！',
    // 3XX-表示重定向，代表客户端需要进一步操作才能完成请求。
    msg300: '多重選擇！',
    msg301: '永久遷移！',
    msg302: '找到！',
    msg303: '參見其他資訊！',
    msg304: '沒有修改！',
    msg305: '使用代理！',
    msg306: '切換代理！',
    msg307: '臨時重定向！',
    // 4XX-表示请求错误，代表客户端发生了错误，妨碍服务器的处理。
    msg400: '請求錯誤！',
    msg401: '未授權！',
    msg403: '禁止！',
    msg404: '未找到！',
    msg405: '方法未允許！',
    msg406: '無法訪問！',
    msg407: '代理伺服器認證要求！',
    msg408: '請求超時！',
    msg409: '衝突！',
    msg410: '已經不存在！',
    msg411: '需要數據長度！',
    msg412: '先決條件錯誤！',
    msg413: '請求實體過大！',
    msg414: '請求URI過長！',
    msg415: '不支持的媒體格式！',
    msg416: '請求範圍無法滿足！',
    msg417: '期望失敗！',
    msg418: '我是杯具！',
    msg421: '該IP發起的連結過多！',
    msg422: '錯誤實體！',
    msg423: '鎖定！',
    msg424: '關聯錯誤！',
    msg425: '集合亂序！',
    msg426: '陞級要求！',
    msg428: '要求先決條件！',
    msg429: '太多請求！',
    msg431: '請求頭欄位太大！',
    msg449: '稍後重試！',
    msg451: '正被審查！',
    // 5XX-表示服务器错误，表示服务器在处理请求的过程中异常状态发生。
    msg500: '內部服務器錯誤！',
    msg501: '未實現！',
    msg502: '錯誤的閘道！',
    msg503: '服務無法獲得！',
    msg504: '閘道超時！',
    msg505: '不支持的HTTP版本！',
    msg506: '變體協商！',
    msg507: '儲存不足！',
    msg509: '超出頻寬限制！',
    msg510: '未擴展！',
    msg511: '要求網絡認證！',
  },
  app: {
    logoutTip: '溫馨提醒',
    logoutMessage: '是否確認退出系統？',
    menuLoading: '選單加載中...',
    copyright: 'Copyright © 2020-{endyear} VINNO Corporation, All rights reserved.',
    browserSuggestions: '推薦使用 新版 {browsers} 瀏覽器 訪問本站',
    recommendedUse: '推薦使用',
    visit: '訪問',
    googleChrome: 'Google Chrome',
    microsoftEdge: 'Microsoft Edge',
    policy: '我已閱讀並同意',
    registrationAgreement: '注册協定',
    privacyPolicy: '隱私政策',
    contactEmail: "support{'@'}sanqing.tech",
    contactPhone: '聯系手機',
    contactTel: '聯繫電話',
    contactAddress: '聯繫地址',
  },
  errorLog: {
    tableTitle: '錯誤日誌清單',
    tableColumnType: '類型',
    tableColumnDate: '時間',
    tableColumnFile: '檔案',
    tableColumnMsg: '錯誤資訊',
    tableColumnStackMsg: 'stack資訊',

    tableActionDesc: '詳情',

    modalTitle: '錯誤詳情',

    fireVueError: '點擊觸發vue錯誤',
    fireResourceError: '點擊觸發資源加載錯誤',
    fireAjaxError: '點擊觸發ajax錯誤',

    enableMessage: '只在`/src/settings/projectSetting.ts`內的useErrorHandle=true時生效.',
  },
  exception: {
    backLogin: '返回登入',
    backHome: '返回首頁',
    subTitle403: '抱歉，您無權訪問此頁面。',
    subTitle404: '抱歉，您訪問的頁面不存在。',
    subTitle500: '抱歉，服務器報告錯誤。',
    noDataTitle: '當前頁無數據',
    networkErrorTitle: '網絡錯誤',
    networkErrorSubTitle: '抱歉，您的網絡連接已斷開，請檢查您的網絡！',
  },
  lock: {
    unlock: '點擊解鎖',
    alert: '鎖屏密碼錯誤',
    backToLogin: '返回登入',
    entry: '進入系統',
    placeholder: '請輸入鎖屏密碼或者使用者密碼',
  },
  login: {
    backSignIn: '返回',
    signInFormTitle: '登入',
    mobileSignInFormTitle: '手機登入',
    qrSignInFormTitle: '二維碼登入',
    signUpFormTitle: '注册',
    signUpResultFormTitle: '注册結果',
    forgetFormTitle: '重置密碼',
    sendConfirmEmailFormTitle: '發送郵箱啟動郵件',
    confirmPhoneFormTitle: '啟動手機',
    confirmResultFormTitle: '啟動結果',

    signInTitle: '科技改變未來 · 数据傳承價值',
    signInDesc: '輸入您的個人詳細資訊開始使用！',
    policy: '我同意xxx隱私政策',

    //扫码登录
    scanSign: `掃碼後點擊“確認”，即可完成登入`,
    scanSignComplete: `掃描已完成，請在手機上確認登入`,
    scanSignRefreshed: `登入二維碼已重繪`,

    loginButton: '登入',
    registerButton: '注册',
    rememberMe: '記住我',
    forgetPassword: '忘記密碼？',
    otherSignIn: '其他登入管道',

    sendConfirmEmail: '發送郵箱啟動郵件',
    confirmPhone: '啟動手機',

    signInWithWeChat: '微信',
    signInWithDingTalk: '釘釘',
    signInWithDouYin: '抖音',
    signInWithQQ: 'QQ',
    signInWithMicrosoft: '微軟帳戶',
    signInWithGitHub: 'GitHub',

    // 注册激活结果
    registerSuccess: '注册成功',
    registerFailed: '注册失敗',
    confirmTitle: '啟動',
    confirmSuccess: '啟動成功',
    confirmFailed: '啟動失敗',
    resetPasswordSuccess: '重置密碼成功',
    resetPasswordFailed: '重置密碼失敗',
    activationEmail:
      '激活郵件已發送到妳的郵箱中，郵件有效期為24小時。請及時登錄郵箱，點擊郵件中的鏈接激活帳戶。',
    resetPasswordEmail:
      '重置密碼郵件已發送到你的郵政箱中，郵件有效期為24小時。請及時登入郵政箱，點擊郵件中的連接重置帳戶密碼。',
    viewMailbox: '檢視郵箱',
    registerSuccessDescTitle: '指引',
    registerSuccessDescExplain: '說明',
    registerSuccessDescExplainContent:
      '用戶自主注册完成後具體默認組織及角色授權，具體業務許可權需管理員分配後方可獲得。',
    registerSuccessStep1Title: '用戶註冊',
    registerSuccessStep2Title: '默認設置',
    registerSuccessStep3Title: '許可權分配',
    registerSuccessStep4Title: '完成',

    // 通知（notify）
    loginSuccessTitle: '登入成功',
    loginSuccessDesc: '歡迎回來',
    loginFailedTitle: '登入失敗',

    // 占位符（placeholder）
    userNamePlaceholder: '請輸入帳號',
    nickNamePlaceholder: '請輸入昵稱',
    passwordPlaceholder: '請輸入密碼',
    confirmPasswordPlaceholder: '請輸入確認密碼',
    emailPlaceholder: '請輸入郵箱',
    mobilePlaceholder: '請輸入手機號碼',
    smsCodePlaceholder: '請輸入簡訊驗證碼',
    organizationIdPlaceholder: '請輸入組織機構編號',
    verifyCodePlaceholder: '請輸入驗證碼',
    policyPlaceholder: '勾選後才能注册',
    diffPwd: '兩次輸入密碼不一致',

    userNameExisted: '帳號已存在',
    nickNameExisted: '昵稱已存在',
    emailExisted: '郵箱已存在',
    mobileExisted: '手機號碼已存在',

    userNameNotExisted: '帳號不存在',
    nickNameNotExisted: '昵稱不存在',
    emailNotExisted: '郵箱不存在',
    mobileNotExisted: '手機號碼不存在',

    smsCodeInvalid: '簡訊驗證碼無效',
    verifyCodeInvalid: '驗證碼無效',

    emailFormatError: '郵箱格式不正確',
    mobileFormatError: '手機號格式不正確',

    userName: '帳號',
    nickName: '昵稱',
    password: '密碼',
    confirmPassword: '確認密碼',
    email: '郵箱',
    mobile: '手機號碼',
    smsCode: '簡訊驗證碼',
    organizationId: '組織機構編號',
    verifyCode: '驗證碼',

    writeTitle: '填寫',
    completeTitle: '完成',
    verifyResetPasswordText: '請驗證您的{0}，以完成密碼重置。',
    prevTitle: '上一步',
    nextTitle: '下一步',
    submitTitle: '提交',
  },
  email: {
    confirmEmailTitle: '正在啟動注册郵箱……',
    confirmEmailTitleSuccess: '啟動注册郵箱成功',
    confirmEmailTitleFailed: '啟動注册郵箱失敗',
    resetPasswordSuccess: '重置密碼成功',
    resetPasswordFailed: '重置密碼失敗',
    resetPasswordSuccessDesc: '請使用新密碼登入使用系統，並牢記您的新密碼。',
  },
  oauth: {
    providerTitle: '使用 {0} 帳號登入',
    loginOneKeyTitle: '創建並登入',
    loginBindTitle: '綁定並登入',
    loginOneKeyTipTitle: '自動創建新帳號一鍵登入',
    loginBindTipTitle: '綁定現有帳號並登入',
    backloginTipTitle: '返回登錄介面',
  },
};
