import type { AppRouteModule } from '/@/router/types';

import { getParentLayout, LAYOUT } from '/@/router/constant';

const dashboard: AppRouteModule = {
  path: '/dashboard',
  name: 'Dashboard',
  component: LAYOUT,
  redirect: '/dashboard/workbench',
  meta: {
    orderNo: 1000,
    icon: 'pajamas:profile',
    title: '用户中心',
  },
  children: [
    {
      path: 'workbench',
      name: 'WorkbenchPage',
      component: () => import('/@/views/dashboard/workbench/index.vue'),
      meta: {
        affix: true,
        icon: 'carbon:workspace',
        title: '导航',
        ignoreKeepAlive: false,
      },
    },
    // {
    //   path: 'analysis',
    //   name: 'AnalysisPage',
    //   component: () => import('/@/views/dashboard/analysis/index.vue'),
    //   meta: {
    //     icon: 'carbon:text-link-analysis',
    //     title: t('routes.dashboard.analysis'),
    //     ignoreKeepAlive: true,
    //   },
    // },
    // =============================account start=============================
    {
      path: 'account',
      name: 'Account',
      component: getParentLayout('Account'),
      redirect: '/dashboard/account/setting',
      meta: {
        icon: 'carbon:user-profile',
        title: '我的',
      },
      children: [
        {
          path: 'setting',
          name: 'AccountSettingPage',
          component: () => import('/@/views/dashboard/account/setting/index.vue'),
          meta: {
            icon: 'la:user-cog',
            title: '设置',
            ignoreKeepAlive: true,
          },
        },
        {
          path: 'center',
          name: 'AccountCenterPage',
          component: () => import('/@/views/dashboard/account/center/index.vue'),
          meta: {
            icon: 'iconoir:home-user',
            title: '消息',
            ignoreKeepAlive: false,
          },
        }
      ],
    },
    // =============================account end=============================
  ],
};

export default dashboard;
