/**
 * 处理文件内容，如果是BASE64就直接返回，如果是URL则加上相对请求路径后返回
 * @param fileContent 待处理的文件内容，有可能是URL或者是BASE64
 */
export function handleFileLink(fileContent: string | null): string | null {
  // const reg = /^data:.*$/;
  // if (reg.test(fileContent)) {
  //   return fileContent;
  // }
  if (fileContent === null || fileContent === '') {
    return fileContent;
  }
  if (fileContent.startsWith('data:')) {
    return fileContent;
  }
  let fileLink = '';
  //TODO:这里的请求地址还需要处理一下
  const requestPath = import.meta.env.VITE_PUBLIC_PATH || '/files';
  if (!fileContent.startsWith('/')) {
    fileContent = `/${fileContent}`;
  }
  if (requestPath.startsWith('/')) {
    fileLink = `${requestPath}${fileContent}`;
  } else {
    fileLink = `/${requestPath}${fileContent}`;
  }
  return fileLink;
}
