import { ExchangeQuotationEnum } from '/@/enums/exchangeQuotationEnum';

/**  系统偏好设置信息 */
export interface PreferenceInfo {
  /**  编号 */
  Id?: string | bigint | null;

  /**  组织机构编号 */
  OrganizationId?: string | bigint | null;

  /**  已初始化 */
  Initialized: boolean;
  /**  负责人 */
  CEO: string;
  /**  财务主管 */
  CFO: string;
  /**  本位币 */
  MainCurrencyId: string;
  /**  系统货币 */
  SysCurrencyId: string;
  /**  汇率标价方法 */
  ExchangeQuotation: ExchangeQuotationEnum;

  /**  数量小数位数 */
  QuantityAccuracy: number;
  /**  单价小数位数 */
  PriceAccuracy: number;
  /**  金额小数位数 */
  AmountAccuracy: number;
  /**  费率小数位数 */
  RateAccuracy: number;
  /**  百分比小数位数 */
  PercentageAccuracy: number;
  /**  度量小数位数 */
  MeasureAccuracy: number;

  /**  公司名称 */
  CompanyName: string;
  /**  纳税人识别号(统一社会信用代码) */
  TaxpayerNumber: string;
  /**  公司地址 */
  CompanyAddr: string;
  /**  公司电话 */
  CompanyTel: string;
  /**  公司开户银行 */
  CompanyBank: string;
  /**  公司开户行账号 */
  CompBakAccount: string;
}
