import { AdColumn } from '/@/components/AdTable';
import { useI18n } from '/@/hooks/web/useI18n';

const { t } = useI18n();

export const columns: AdColumn[] = [
  {
    title: t('entity.idTitle'),
    dataIndex: 'Id',
    width: 0,
    ifShow: false,
    defaultHidden: true,
    formVisible: true,
    formEditable: false,
    filterable: true,
    dataType: 'integer',
  },
  {
    title: t('routes.system.loginlog.ipTitle'),
    dataIndex: 'Ip',
    width: 150,
    formVisible: true,
    formEditable: false,
    filterable: true,
    dataType: 'string',
  },
  {
    title: t('routes.system.loginlog.userAgentTitle'),
    dataIndex: 'UserAgent',
    width: 400,
    formVisible: true,
    formEditable: false,
    filterable: true,
    dataType: 'text',
  },
  {
    title: t('routes.system.loginlog.logoutTimeTitle'),
    dataIndex: 'LogoutTime',
    width: 150,
    formVisible: true,
    formEditable: false,
    filterable: true,
    dataType: 'datetime',
  },
  {
    title: t('entity.creationAudited.createdTimeTitle'),
    dataIndex: 'CreatedTime',
    width: 150,
    formVisible: true,
    formEditable: false,
    filterable: true,
    dataType: 'datetime',
  },
  {
    title: t('routes.system.loginlog.userIdTitle'),
    dataIndex: 'UserId',
    width: 150,
    formVisible: true,
    formEditable: false,
    filterable: true,
    dataType: 'integer',
  },
  {
    title: t('routes.system.loginlog.userNameTitle'),
    dataIndex: 'UserName',
    width: 100,
    formVisible: true,
    formEditable: false,
    filterable: true,
    filterIndex: 'User.UserName',
    dataType: 'string',
  },
  {
    title: t('routes.system.loginlog.nickNameTitle'),
    dataIndex: 'UserNickname',
    width: 150,
    formVisible: true,
    formEditable: false,
    filterable: true,
    filterIndex: 'User.NickName',
    dataType: 'string',
  },
];
