import { getPackLevelEnumSchema } from '/@/enums/packLevelEnum';
import { AdColumn } from '/@/components/AdTable';
import { useI18n } from '/@/hooks/web/useI18n';

const { t } = useI18n();
const packLevelEnumSchema = getPackLevelEnumSchema();

export const columns: AdColumn[] = [
  {
    title: t('routes.system.pack.nameTitle'),
    dataIndex: 'Name',
    width: 300,
    filterable: true,
    filterIndex: 'Type.Name',
    dataType: 'string',
  },
  {
    title: t('routes.system.pack.displayTitle'),
    dataIndex: 'Display',
    width: 300,
    filterable: true,
    filterIndex: 'Description',
    dataType: 'string',
  },
  {
    title: t('routes.system.pack.classTitle'),
    dataIndex: 'Class',
    width: 400,
    filterable: true,
    filterIndex: 'Type.FullName',
    dataType: 'string',
  },
  {
    title: t('routes.system.pack.levelTitle'),
    dataIndex: 'Level',
    width: 100,
    filterable: true,
    dataType: 'enum',
    enumData: packLevelEnumSchema,
  },
  {
    title: t('routes.system.pack.orderNumberTitle'),
    dataIndex: 'OrderNumber',
    width: 100,
    filterable: true,
    dataType: 'number',
  },
  {
    title: t('routes.system.pack.isEnabledTitle'),
    dataIndex: 'IsEnabled',
    width: 80,
    filterable: true,
    dataType: 'boolean',
  },
];
