import { AdColumn } from '/@/components/AdTable';
import { readNode } from './materialtwolevel.api';

export const columns: AdColumn[] = [
  {
    title: '主键',
    dataIndex: 'Id',
    dataType: 'guid',
    width: 300,
    defaultHidden: true,
    filterable: false,
    sorter: true,
    formVisible: true,
    formEditable: false,
  },
  {
    title: '一级分类',
    dataIndex: 'OneLevelId',
    dataType: 'guid',
    width: 150,
    defaultHidden: true,
    formVisible: true,
    formEditable: true,
    required: true,
    filterable: true,
    sorter: true,
    editComponent: 'ApiSelect',
    editComponentProps: {
      api: readNode,
      // use name as label
      labelField: 'Name',
      // use id as value
      valueField: 'Id',
      immediate: true,
      optionFilterProp: 'label',
      showSearch: true
    },
  },
  {
    title: '分类名称',
    dataIndex: 'ParentName',
    dataType: 'string',
    width: 150,
    formVisible: false,
    formEditable: false,
    required: false,
    filterable: false,
    sorter: false,
  },  
  {
    title: '名称',
    dataIndex: 'Name',
    dataType: 'string',
    width: 150,
    formVisible: true,
    formEditable: true,
    required: true,
    filterable: true,
    sorter: true,
  },
  {
    title: '英文名称',
    dataIndex: 'FrnName',
    dataType: 'string',
    width: 150,
    formVisible: true,
    formEditable: true,
    required: false,
    filterable: false,
    sorter: false,
  },
  {
    title: '说明',
    dataIndex: 'Description',
    dataType: 'text',
    width: 150,
    formVisible: true,
    formEditable: true,
    required: false,
    filterable: false,
    sorter: false,
    formCustomer: {
      colProps: {
        // span: 24,
        xs: 24, // <576px
        sm: 24, // ≥576px
        md: 24, // ≥768px
        lg: 24, // ≥992px
        xl: 24, // ≥1200px
        xxl: 24, // ≥1600px
        // xxxl: 24, // ≥2000px 3.0
      },
    },
  }
];

export interface InputDto {}

export interface OutputDto {}
