import { h } from 'vue';
import { AdColumn } from '/@/components/AdTable';
import { expandAndToString } from '/@/utils/common';
import { BasicUpload } from '/@/components/Upload';
import { TableImg } from '/@/components/Table';
import { uploadApi,deleteApi } from '/@/api/sys/upload';
import { FileInfo } from '/@/components/Upload/src/typing';
import { ImageSelector } from '/@/components/ImageSelector';
import { List } from '/@/components/Linqts';
import { isArray, isNull, isObject,isString } from '/@/utils/is';
import FileUpload from '/@/components/Form/src/components/FileUpload.vue';
import { debug } from 'console';

export const columns: AdColumn[] = [
  {
    title: '主键',
    dataIndex: 'Id',
    dataType: 'guid',
    width: 300,
    defaultHidden: true,
    filterable: false,
    sorter: true,
    formVisible: true,
    formEditable: false,
  },
  {
    title: '仓库名称',
    dataIndex: 'Name',
    dataType: 'string',
    width: 150,
    formVisible: true,
    formEditable: true,
    required: true,
    filterable: true,
    sorter: true,
  }, 
  {
    title: '仓库描述',
    dataIndex: 'Description',
    dataType: 'text',
    width: 150,
    formVisible: true,
    formEditable: true,
    filterable: false,
    sorter: false,
    formSchema: {
      colProps: {
        xs: 24, // <576px
        sm: 24, // ≥576px
        md: 24, // ≥768px
        lg: 24, // ≥992px
        xl: 24, // ≥1200px
        xxl: 24, // ≥1600px
      }
    }
  },  
  {
    title: '创建时间',
    dataIndex: 'CreatedTime',
    dataType: 'datetime',
    width: 200,
    formVisible: true,
    formEditable: false,
    required: false,
    filterable: true,
    sorter: true,
  },
];

export interface InputDto {}

export interface OutputDto {}
