import { h } from 'vue';
import { AdColumn } from '/@/components/AdTable';
import { expandAndToString } from '/@/utils/common';
import { BasicUpload } from '/@/components/Upload';
import { TableImg } from '/@/components/Table';
import { uploadApi, deleteApi } from '/@/api/sys/upload';
import { FileInfo } from '/@/components/Upload/src/typing';
import { ImageSelector } from '/@/components/ImageSelector';
import { List } from '/@/components/Linqts';
import { isArray, isNull, isObject, isString } from '/@/utils/is';
import FileUpload from '/@/components/Form/src/components/FileUpload.vue';
import { debug } from 'console';
import { readNode } from './warehouseareapos.api';

export const columns: AdColumn[] = [
  {
    title: '主键',
    dataIndex: 'Id',
    dataType: 'guid',
    width: 300,
    defaultHidden: true,
    filterable: false,
    sorter: true,
    formVisible: true,
    formEditable: false,
  },
  {
    title: '库区名称',
    dataIndex: 'ParentName',
    dataType: 'string',
    width: 150,
    formVisible: false,
    formEditable: false,
    required: false,
    filterable: false,
    sorter: false,
  },
  {
    title: '库区',
    dataIndex: 'WareHouseAreaId',
    dataType: 'guid',
    width: 150,
    defaultHidden: true,
    formVisible: true,
    formEditable: true,
    required: true,
    filterable: true,
    sorter: true,
    editComponent: 'ApiSelect',
    editComponentProps: {
      api: readNode,
      // use name as label
      labelField: 'Name',
      // use id as value
      valueField: 'Id',
      immediate: true,
      optionFilterProp: 'label',
      showSearch: true,
    },
  },
  {
    title: '库位名称',
    dataIndex: 'AreaPosName',
    dataType: 'string',
    width: 150,
    formVisible: true,
    formEditable: true,
    required: true,
    filterable: true,
    sorter: true,
  },
  {
    title: '货架号',
    dataIndex: 'StorageNo',
    dataType: 'string',
    width: 150,
    formVisible: true,
    formEditable: true,
    required: false,
    filterable: false,
    sorter: false,
  },
  {
    title: '层号',
    dataIndex: 'LevelNo',
    dataType: 'string',
    width: 150,
    formVisible: true,
    formEditable: true,
    required: false,
    filterable: false,
    sorter: false,
  },
  {
    title: '位号',
    dataIndex: 'PosNo',
    dataType: 'string',
    width: 150,
    formVisible: true,
    formEditable: true,
    required: false,
    filterable: false,
    sorter: false,
  },
];

export interface InputDto {}

export interface OutputDto {}
