import { ErrorTypeEnum } from '/@/enums/exceptionEnum';
import { MenuModeEnum, MenuTypeEnum } from '/@/enums/menuEnum';

/** 锁屏信息（Lock screen information） */
export interface LockInfo {
  /** 需要密码（Password required） */
  pwd?: string | undefined;
  /** 锁上了吗（Is it locked） */
  isLock?: boolean;
}

/** 错误日志信息（Error-log information） */
export interface ErrorLogInfo {
  /** 错误类型（Type of error） */
  type: ErrorTypeEnum;
  /** 错误文件（Error file） */
  file: string;
  /** 错误名称（Error name） */
  name?: string;
  /** 错误消息（Error message） */
  message: string;
  /** 错误堆栈（Error stack） */
  stack?: string;
  /** 错误详细信息（Error detail） */
  detail: string;
  /** 错误url（Error url） */
  url: string;
  /** 错误时间（Error time） */
  time?: string;
}

export interface UserInfo {
  userId: string | number;
  username: string;
  realName: string;
  avatar: string;
  desc?: string;
}

export interface BeforeMiniState {
  menuCollapsed?: boolean;
  menuSplit?: boolean;
  menuMode?: MenuModeEnum;
  menuType?: MenuTypeEnum;
}
