import { defineApplicationConfig } from '@vben/vite-config';

export default defineApplicationConfig({
  overrides: {
    optimizeDeps: {
      include: [
        'echarts/core',
        'echarts/charts',
        'echarts/components',
        'echarts/renderers',
        'qrcode',
        '@iconify/iconify',
        'ant-design-vue/es/locale/zh_CN',
        'ant-design-vue/es/locale/en_US',
        'ant-design-vue/es/locale/ja_JP',
        'ant-design-vue/es/locale/zh_TW',
      ],
    },
    server: {
      https: false,
      // Listening on all local IPs
      host: true,
      port: 3000,
      /** 代理设置列表 */
      proxy: {
        '/api': {
          target: 'http://192.168.6.83:4662',
          changeOrigin: false,
          ws: true,
          // rewrite: (path) => path.replace(new RegExp(`^/api`), ''),
          rewrite: (path) => path,
          // !only https
          // secure: false,
          // !解决页面跳转模式下参数丢失的问题。
          // bypass: (req: any, _res: any, _options: any) => {
          //   req.url = (req as any)?.originalUrl || req.url;
          // },
        },
        '/signin-': {
          target: 'http://192.168.6.83:4662',
          changeOrigin: false,
          ws: true,
          rewrite: (path) => path,
          // !解决页面跳转模式下参数丢失的问题。
          // bypass: (req: any, _res: any, _options: any) => {
          //   req.url = (req as any)?.originalUrl || req.url;
          // },
        },
        '/signalr': {
          target: 'http://192.168.6.83:4662',
          changeOrigin: false,
          ws: true,
          rewrite: (path) => path,
          // !解决页面跳转模式下参数丢失的问题。
          // bypass: (req: any, _res: any, _options: any) => {
          //   req.url = (req as any)?.originalUrl || req.url;
          // },
        },
        '/files': {
          target: 'http://192.168.6.83:4662',
          changeOrigin: false,
          ws: true,
          rewrite: (path) => path,
          // !解决页面跳转模式下参数丢失的问题。
          // bypass: (req: any, _res: any, _options: any) => {
          //   req.url = (req as any)?.originalUrl || req.url;
          // },
        },
        '/upload': {
          target: 'http://192.168.6.83:4662',
          changeOrigin: false,
          ws: true,
          rewrite: (path) => path,
          // !解决页面跳转模式下参数丢失的问题。
          // bypass: (req: any, _res: any, _options: any) => {
          //   req.url = (req as any)?.originalUrl || req.url;
          // },
        },
      },
    },
  },
});
